<?php

class wpmlDbHelper extends wpMailPlugin {

	var $name = "Db";	
	var $model = '';
	var $errors = array();
	
	function wpmlDbHelper() {
		return true;
	}
	
	function save($data = array(), $validate = true) {
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};

			if (!empty($data)) {
				$defaults = array();
				
				if (method_exists(${$this -> model}, 'defaults')) {
					$defaults = ${$this -> model} -> defaults();
				}
			
				$data = (empty($data[$this -> model])) ? $data : $data[$this -> model];
				$r = wp_parse_args($data, $defaults);
				//${$this -> model} -> data[$this -> model] = (object) $r;
				${$this -> model} -> data = (object) $r;
				extract($r, EXTR_SKIP);
			
				if ($validate == true) {
					if (method_exists(${$this -> model}, 'validate')) {
						${$this -> model} -> validate($data);
					}
				}
				
				if ($this -> model == "Autoresponder") {
					${$this -> model} -> data -> nnewsletter['content'] = $_POST['content'];	
				}
				
				if (empty(${$this -> model} -> errors)) {
					switch ($this -> model) {
						case 'Theme'			:
							${$this -> model} -> data -> content = mysql_escape_string(${$this -> model} -> data -> content);
							break;
					}
					
					$query = (empty($id)) ? $this -> iquery($this -> model) : $this -> uquery($this -> model);
					
					if ($wpdb -> query($query)) {
						${$this -> model} -> insertid = (empty($id)) ? $wpdb -> insert_id : $id;
						$oldmodel = $this -> model;
						
						switch ($this -> model) {
							case 'Theme'					:
								$themeoptions = array(
									'pronews_address',
									'pronews_facebook',
									'pronews_twitter',
									'pronews_rss',
									'themailer_address',
									'themailer_facebook',
									'themailer_twitter',
									'themailer_rss',
								);
								
								foreach ($_POST as $pkey => $pval) {
									if (!empty($pkey) && in_array($pkey, $themeoptions)) {
										$this -> update_option($pkey, $_POST[$pkey]);
									}
								}
								break;
							case 'Autoresponder'			:															
								global $Html, $Autoresponder, $AutorespondersList, $History,
								$Subscriber, $SubscribersList, $Autoresponderemail;
							
								/* Create the History email if needed */
								if (!empty(${$this -> model} -> data -> newsletter) && ${$this -> model} -> data -> newsletter == "new") {									
									$history_data = array(
										'subject'			=>	${$this -> model} -> data -> nnewsletter['subject'],
										'message'			=>	${$this -> model} -> data -> nnewsletter['content'],
										'theme_id'			=>	${$this -> model} -> data -> nnewsletter['theme_id'],
										'mailinglists'		=>	${$this -> model} -> data -> lists,
									);
									
									if ($History -> save($history_data, true)) {
										$history_id = $History -> insertid;
										
										$this -> model = $Autoresponder -> model;
										$this -> save_field('history_id', $history_id, array('id' => ${$oldmodel} -> insertid));
									}
								}
								
								/* Do the Autoresponder > List associations */
								if (!empty(${$oldmodel} -> insertid)) {
									$this -> model = $AutorespondersList -> model;								
									$this -> delete_all(array('autoresponder_id' => ${$oldmodel} -> insertid));
									$listsquery = "";
									$l = 1;
									
									foreach (${$oldmodel} -> data -> lists as $list_id) {
										$listsquery .= $wpdb -> prefix . $SubscribersList -> table . ".list_id = '" . $list_id . "'";
										if (count(${$oldmodel} -> data -> lists) > $l) { $listsquery .= " OR "; }
										
										$autoresponderslist_data = array(
											'autoresponder_id'	=>	${$oldmodel} -> insertid,
											'list_id'			=>	$list_id,
										);
										
										$this -> model = $AutorespondersList -> model;
										$this -> save($autoresponderslist_data, true);	
										$l++;
									}
								}
								
								if (${$oldmodel} -> data -> applyexisting == "Y" && ${$oldmodel} -> data -> status == "active") {
									$senddate = date("Y-m-d H:i:s", strtotime("+ " . ${$oldmodel} -> data -> delay . " days"));
									
									$query1 = "SELECT DISTINCT " 
									. $wpdb -> prefix . $SubscribersList -> table . ".subscriber_id as sid, "
									. $wpdb -> prefix . $AutorespondersList -> table . ".autoresponder_id, "
									. "'" . $Html -> gen_date() . "', '" . $Html -> gen_date() . "', '" . $senddate . "' FROM " 
									. $wpdb -> prefix . $SubscribersList -> table . " LEFT JOIN "
									. $wpdb -> prefix . $AutorespondersList -> table . " ON ("
									. $wpdb -> prefix . $SubscribersList -> table . ".list_id = "
									. $wpdb -> prefix . $AutorespondersList -> table . ".list_id)"
									. " WHERE (" . $listsquery . ") AND "
									. $wpdb -> prefix . $AutorespondersList -> table . ".autoresponder_id = '" . ${$oldmodel} -> insertid . "'";
									
									$query2 = "INSERT INTO " . $wpdb -> prefix . $Autoresponderemail -> table 
									. " (subscriber_id, autoresponder_id, created, modified, senddate) (" . $query1 . ")";
									
									$wpdb -> query($query2);
								}
								break;	
						}
						
						$this -> model = $oldmodel;
						return true;
					}
				} else {
					$this -> model = $oldmodel;	
				}
			}
		}
		
		return false;
	}
	
	function save_field($field = null, $value = null, $conditions = array()) {
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};

			if (!empty($field)) {			
				$query = "UPDATE `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "` SET `" . $field . "` = '" . $value . "'";
				
				if (!empty($conditions) && is_array($conditions)) {
					$query .= " WHERE";
					$c = 1;
					
					foreach ($conditions as $ckey => $cval) {
						$query .= " `" . $ckey . "` = '" . $cval . "'";
						
						if ($c < count($conditions)) {
							$query .= " AND";
						}
						
						$c++;
					}
				}
				
				if ($wpdb -> query($query)) {
					return true;
				}
			}
		}
		
		return false;
	}
	
	function iquery($model = null) {	
		if (!empty($model)) {
			global $wpdb, ${$model};
			
			if (!empty(${$model} -> data)) {
				$data = ${$model} -> data;
			
				if (empty($data -> id)) {
					if (!empty(${$model} -> fields)) {
						$query1 = "INSERT INTO `" . $wpdb -> prefix . "" . ${$model} -> table . "` (";
						$query2 = "";
						$c = 1;
						
						unset(${$model} -> fields['key']);
						unset(${$model} -> fields['id']);
						
						foreach (array_keys(${$model} -> fields) as $field) {
							if (!empty($data -> {$field})) {
								$query1 .= "`" . $field . "`";
								$query2 .= "'" . $data -> {$field} . "'";
								
								if ($c < count(${$model} -> fields)) {
									$query1 .= ", ";
									$query2 .= ", ";
								}
							}
							
							$c++;
						}
						
						$query1 .= ") VALUES (";
						$query = $query1 . $query2 . ");";
						
						return $query;
					}
				} else {
					$query = $this -> uquery($model);
					return $query;
				}
			}
		}
		
		return false;
	}
	
	function uquery($model = null) {
		global $wpdb, ${$model};
		
		if (!empty($model)) {
			$data = ${$model} -> data;
			
			if (!empty($data -> id)) {
				if (!empty(${$model} -> fields)) {					
					$query = "UPDATE `" . $wpdb -> prefix . "" . ${$model} -> table . "` SET ";
					
					$c = 1;
					unset(${$model} -> fields['key']);
					
					foreach (array_keys(${$model} -> fields) as $field) {						
						if (!empty($data -> {$field}) || $data -> {$field} == "0") {
							$query .= "`" . $field . "` = '" . $data -> {$field} . "'";
					
							if ($c < count(${$model} -> fields)) {
								$query .= ", ";
							}	
						}
						
						$c++;
					}
					
					$query .= " WHERE `id` = '" . $data -> id . "';";
					return $query;
				}
			} else {
				$query = $this -> iquery($model);
				return $query;
			}
		}
		
		return false;
	}
	
	function field($field = null, $conditions = array()) {
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};
			
			if (!empty($conditions) && is_array($conditions)) {
				$query = "SELECT `" . $field . "` FROM `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "` WHERE";
				$c = 1;
				
				foreach ($conditions as $ckey => $cval) {
					$query .= " `" . $ckey . "` = '" . $cval . "'";
					
					if ($c < count($conditions)) {
						$query .= " AND";
					}
					
					$c++;
				}
				
				if ($value = $wpdb -> get_var($query)) {
					return $value;
				}
			}
		}
		
		return false;
	}
	
	function delete($record_id = null) {
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};
		
			if (!empty($record_id)) {
				$query = "DELETE FROM `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "` WHERE `id` = '" . $record_id . "' LIMIT 1";
				
				if ($wpdb -> query($query)) {
					switch ($this -> model) {
						case 'Subscriber'			:
							//global variables
							global $Autoresponderemail, $AutorespondersList, $Email, $wpmlOrder, $Queue, $SubscribersList;
						
							//remove all Orders
							$this -> model = $wpmlOrder -> model;
							$this -> delete_all(array('subscriber_id' => $record_id));
							
							//remove all List associations
							$this -> model = $SubscribersList -> model;
							$this -> delete_all(array('subscriber_id' => $record_id));
							
							//remove all queued emails
							$this -> model = $Queue -> model;
							$this -> delete_all(array('subscriber_id' => $record_id));

                            //remove all emails
                            $this -> model = $Email -> model;
                            $this -> delete_all(array('subscriber_id' => $record_id));
                            
                            //remove all autoresponder emails
                            $this -> model = $Autoresponderemail -> model;
                            $this -> delete_all(array('subscriber_id' => $record_id));
							return true;
							break;
						case 'Mailinglist'			:
							global $AutorespondersList;
						
							$this -> model = 'HistoriesList';
							$this -> delete_all(array('list_id' => $record_id));
							
							/* Remove the Autoresponder/List associations */
							$this -> model = $AutorespondersList -> model;
							$this -> delete_all(array('list_id' => $record_id));
							break;
						case 'History'				:
							global $Queue, $Email, $Autoresponder;
						
							$this -> model = 'HistoriesList';
							$this -> delete_all(array('history_id' => $record_id));
							
							/* Remove autoresponders associated */
							$this -> model = $Autoresponder -> model;
							$this -> delete_all(array('history_id' => $record_id));
							
							///remove all queued emails
							$this -> model = $Queue -> model;
							$this -> delete_all(array('history_id' => $record_id));

                            //remove all emails
                            $this -> model = $Email -> model;
                            $this -> delete_all(array('history_id' => $record_id));
							break;
						case 'Autoresponder'		:
							global $AutorespondersList, $Autoresponderemail;
							$oldmodel = $this -> model;
							
							//remove the AutorespondersList associations
							$this -> model = $AutorespondersList -> model;
							$this -> delete_all(array('autoresponder_id' => $record_id));
							
							//remove the Autoresponderemail records
							$this -> model = $Autoresponderemail -> model;
							$this -> delete_all(array('autoresponder_id' => $record_id));
							
							$this -> model = $oldmodel;
							break;
					}
				
					return true;
				}
			}
		}
		
		return false;
	}
	
	function delete_all($conditions = array()) {
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};
			
			if (!empty($conditions) && is_array($conditions)) {
				$query = "DELETE FROM `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "` WHERE";
				$c = 1;
				
				foreach ($conditions as $ckey => $cval) {
					$query .= " `" . $ckey . "` = '" . $cval . "'";
					
					if ($c < count($conditions)) {
						$query .= " AND";
					}
					
					$c++;
				}
				
				if ($wpdb -> query($query)) {
					return true;
				}
			}
		}
		
		return false;
	}
	
	function count($conditions = array()) {
		$count = 0;
	
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};
			
			$query = "SELECT COUNT(*) FROM `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "`";
			
			if (!empty($conditions) && is_array($conditions)) {
				$query .= " WHERE";
				$c = 1;
			
				foreach ($conditions as $ckey => $cval) {
					$query .= " `" . $ckey . "` = '" . $cval . "'";
					
					if ($c < count($conditions)) {
						$query .= " AND";
					}
				
					$c++;
				}
			}
			
			if (!empty($query)) {
				$count = $wpdb -> get_var($query);
			}
		}
		
		return $count;
	}
	
	function find($conditions = array(), $fields = false, $order = array('modified', "DESC"), $assign = true, $recursive = true) {
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};
			
			$fields = (empty($fields)) ? "*" : implode(", ", $fields);
			$query = "SELECT " . $fields . " FROM `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "`";
			
			if (!empty($conditions) && is_array($conditions)) {
				$query .= " WHERE";
				$c = 1;
				
				foreach ($conditions as $ckey => $cval) {
					$query .= " `" . $ckey . "` = '" . $cval . "'";
					
					if ($c < count($conditions)) {
						$query .= " AND";
					}
					
					$c++;
				}
			}
			
			$order = (empty($order)) ? array('modified', "DESC") : $order;
			list($ofield, $odir) = $order;
			$query .= " ORDER BY `" . $ofield . "` " . $odir . "";
			$query .= " LIMIT 1";
			
			if ($record = $wpdb -> get_row($query)) {
				if (!empty($record)) {
					$record -> recursive = ((!empty($recursive) && $recursive == true) ? 1 : 0);
					$data = $this -> init_class(${$this -> model} -> model, $record);
					
					if ($assign == true) {
						${$this -> model} -> data = $data;
					}
					
					return $data;
				}
			}
		}
		
		return false;
	}
	
	function find_all($conditions = array(), $fields = false, $order = array('modified', "DESC"), $limit = false, $recursive = false) {	
		if (!empty($this -> model)) {
			global $wpdb, ${$this -> model};
			
			$fields = (empty($fields) || !is_array($fields)) ? "*" : implode(", ", $fields);
			$query = "SELECT " . $fields . " FROM `" . $wpdb -> prefix . "" . ${$this -> model} -> table . "`";
			
			if (!empty($conditions) && is_array($conditions)) {
				$query .= " WHERE";
				$c = 1;
				
				foreach ($conditions as $ckey => $cval) {				
					if (preg_match("/[>]\s?(.*)?/si", $cval, $cmatches)) {
						if (!empty($cmatches[1]) || $cmatches[1] == "0") {					
							$query .= " `" . $ckey . "` > " . $cmatches[1] . "";
						}
					} elseif (preg_match("/[<]\s?(.*)?/si", $cval, $cmatches)) {
						if (!empty($cmatches[1]) || $cmatches[1] == "0") {
							$query .= " `" . $ckey . "` < " . $cmatches[1] . "";	
						}
					//} elseif (preg_match("/^([IS NOT])/i", $ckey, $cmatches)) {
					//	$query .= " " . $ckey . " != " . str_replace("IS NOT ", "", $cval) . "";
					} else {				
						$query .= " " . $ckey . " = " . $cval . "";
					}
					
					if ($c < count($conditions)) {
						$query .= " AND";
					}
					
					$c++;
				}
			}
			
			$order = (empty($order)) ? array('modified', "DESC") : $order;
			list($ofield, $odir) = $order;
			$query .= " ORDER BY `" . $ofield . "` " . $odir . "";
			$query .= (empty($limit)) ? '' : " LIMIT " . $limit . "";
			
			if ($records = $wpdb -> get_results($query)) {
				if (!empty($records)) {
					$data = array();
					
					foreach ($records as $record) {
						if ((!empty($recursive) && $recursive == true) || ${$this -> model} -> recursive == true) { $record -> recursive = true; }
						$data[] = $this -> init_class(${$this -> model} -> model, $record);
					}
					
					return $data;
				}
			}
		}
		
		return false;
	}
}

?>