<?php

class wpmlMetaboxHelper extends wpMailPlugin {
	
	var $name = 'Metabox';
	
	function wpmlMetaboxHelper() {
		return true;
	}
	
	function write_advanced() {
		$this -> render('metaboxes' . DS . 'write-advanced', false, true, 'admin');
	}
	
	function welcome_stats() {
		$this -> render('metaboxes' . DS . 'welcome' . DS . 'stats', false, true, 'admin');
	}
	
	function welcome_history() {
		global $wpdb, $Db, $History;
		$Db -> model = $History -> model;
		$histories = $Db -> find_all(false, false, array('created', "DESC"), 5);
		$this -> render('metaboxes' . DS . 'welcome' . DS . 'history', array('histories' => $histories), true, 'admin');
	}
	
	function welcome_subscribers() {
		global $wpdb, $Subscriber;
		$subscribersquery = "SELECT COUNT(id) FROM " . $wpdb -> prefix . $Subscriber -> table . "";
		$subscriberstotal = $wpdb -> get_var($subscribersquery);
		$this -> render('metaboxes' . DS . 'welcome' . DS . 'subscribers', array('total' => $subscriberstotal), true, 'admin');
	}
	
	function welcome_lists() {
		global $wpdb, $Mailinglist;
		$publicquery = "SELECT COUNT(id) FROM " . $wpdb -> prefix . $Mailinglist -> table . " WHERE `privatelist` = 'N'";
		$total_public = $wpdb -> get_var($publicquery);
		$privatequery = "SELECT COUNT(id) FROM " . $wpdb -> prefix . $Mailinglist -> table . " WHERE `privatelist` = 'Y'";
		$total_private = $wpdb -> get_var($privatequery);
		$this -> render('metaboxes' . DS . 'welcome' . DS . 'lists', array('total_public' => $total_public, 'total_private' => $total_private), true, 'admin');
	}
	
	function welcome_emails() {
		global $wpdb, $Email;
		$emailsquery = "SELECT COUNT(id) FROM " . $wpdb -> prefix . $Email -> table . "";
		$emailstotal = $wpdb -> get_var($emailsquery);
		$this -> render('metaboxes' . DS . 'welcome' . DS . 'emails', array('total' => $emailstotal), true, 'admin');
	}
	
	function welcome_bounces() {
		global $Bounce;
		$total = $Bounce -> alltotal();
		$this -> render('metaboxes' . DS . 'welcome' . DS . 'bounces', array('total' => $total), true, 'admin');
	}
	
	function send_mailinglists() {
		$this -> render('metaboxes' . DS . 'send-mailinglists', false, true, 'admin');
	}
	
	function send_theme() {
		$this -> render('metaboxes' . DS . 'send-theme', false, true, 'admin');	
	}
	
	function send_submit() {
		$this -> render('metaboxes' . DS . 'send-submit', false, true, 'admin');
	}
	
	function send_otheractions() {
		$this -> render('metaboxes' . DS . 'send-otheractions', false, true, 'admin');
	}
	
	function send_setvariables() {
		$this -> render('metaboxes' . DS . 'send-setvariables', false, true, 'admin');
	}
	
	function send_templates() {
		$this -> render('metaboxes' . DS . 'send-templates', false, true, 'admin');
	}
	
	function send_attachment() {
		$this -> render('metaboxes' . DS . 'send-attachment', false, true, 'admin');
	}
	
	function send_publish() {
		$this -> render('metaboxes' . DS . 'send-publish', false, true, 'admin');
	}
	
	function templates_submit() {
		$this -> render('metaboxes' . DS . 'templates-submit', false, true, 'admin');
	}
	
	function settings_language() {
		$this -> render('metaboxes' . DS . 'settings-language', false, true, 'admin');
	}
	
	function settings_submit() {
		$this -> render('metaboxes' . DS . 'settings-submit', false, true, 'admin');
	}
	
	function settings_sections() {
		$this -> render('metaboxes' . DS . 'settings-sections', false, true, 'admin');
	}
	
	function settings_wprelated() {
		$this -> render('metaboxes' . DS . 'settings-wprelated', false, true, 'admin');
	}
	
	function settings_importusers() {
		$this -> render('metaboxes' . DS . 'settings-importusers', false, true, 'admin');
	}
	
	function settings_commentform() {
		$this -> render('metaboxes' . DS . 'settings-comments', false, true, 'admin');	
	}
	
	function settings_general() {
		$this -> render('metaboxes' . DS . 'settings-general', false, true, 'admin');
	}
	
	/* Sending Settings */
	function settings_sending() {
		$this -> render('metaboxes' . DS . 'settings-sending', false, true, 'admin');	
	}
	
	/* Subscriber management section */
	function settings_management() {
		$this -> render('metaboxes' . DS . 'settings-management', false, true, 'admin');	
	}
	
	function settings_optin() {
		$this -> render('metaboxes' . DS . 'settings-optin', false, true, 'admin');
	}
	
	function settings_subscriptions() {
		$this -> render('metaboxes' . DS . 'settings-subscriptions', false, true, 'admin');
	}
	
	function settings_pp() {
		$this -> render('metaboxes' . DS . 'settings-pp', false, true, 'admin');
	}
	
	function settings_tc() {
		$this -> render('metaboxes' . DS . 'settings-tc', false, true, 'admin');
	}
	
	function settings_subscribers() {
		$this -> render('metaboxes' . DS . 'settings-subscribers', false, true, 'admin');
	}
	
	function settings_unsubscribe() {
		$this -> render('metaboxes' . DS . 'settings-unsubscribe', false, true, 'admin');
	}
	
	function settings_publishing() {
		$this -> render('metaboxes' . DS . 'settings-publishing', false, true, 'admin');
	}
	
	function settings_scheduling() {
		$this -> render('metaboxes' . DS . 'settings-scheduling', false, true, 'admin');
	}
	
	function settings_bounce() {
		$this -> render('metaboxes' . DS . 'settings-bounce', false, true, 'admin');
	}
	
	function settings_latestposts() {
		$this -> render('metaboxes' . DS . 'settings-latestposts', false, true, 'admin');	
	}
	
	function settings_customcss() {
		$this -> render('metaboxes' . DS . 'settings-customcss', false, true, 'admin');	
	}
	
	function settings_templates_confirm() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'confirm', false, true, 'admin');
	}
	
	function settings_templates_bounce() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'bounce', false, true, 'admin');
	}
	
	function settings_templates_unsubscribe() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'unsubscribe', false, true, 'admin');
	}
	
	function settings_templates_expire() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'expire', false, true, 'admin');
	}
	
	function settings_templates_order() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'order', false, true, 'admin');
	}
	
	function settings_templates_schedule() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'schedule', false, true, 'admin');
	}
	
	function settings_templates_subscribe() {
		$this -> render('metaboxes' . DS . 'templates' . DS . 'subscribe', false, true, 'admin');
	}
	
	function extensions_settings_submit() {
		$this -> render('metaboxes' . DS . 'extensions' . DS . 'submit', false, true, 'admin');
	}
}

?>