<?php if (!empty($autoresponderemails)) : ?>
	<form action="?page=<?php echo $this -> sections -> autoresponderemails; ?>&amp;method=mass" onsubmit="if (!confirm('<?php _e('Are you sure you want to execute this action on the selected autoresponder emails?', $this -> plugin_name); ?>')) { return false; }" method="post">
    	<div class="tablenav">
        	<div class="alignleft actions">
				<select name="action">
					<option value="">- <?php _e('Bulk Actions', $this -> plugin_name); ?> -</option>
                    <option value="delete"><?php _e('Delete', $this -> plugin_name); ?></option>
                    <option value="send"><?php _e('Send Selected', $this -> plugin_name); ?></option>
				</select>
				<input type="submit" class="button" name="execute" value="<?php _e('Apply', $this -> plugin_name); ?>" />
			</div>
			<?php $this -> render('pagination', array('paginate' => $paginate), true, 'admin'); ?>
        </div>
    
    	<table class="widefat">
        	<thead>
            	<tr>
                	<th class="check-column"><input type="checkbox" onclick="jqCheckAll(this, '<?php echo $this -> sections -> autoresponderemails; ?>', 'autoresponderemailslist');" name="checkboxall" value="checkboxall" id="checkboxall" /></th>
                    <th><?php _e('ID', $this -> plugin_name); ?></th>
                    <th><?php _e('Subscriber', $this -> plugin_name); ?></th>
                    <th><?php _e('Autoresponder', $this -> plugin_name); ?></th>
                    <th><?php _e('Status', $this -> plugin_name); ?></th>
                    <th><?php _e('Created', $this -> plugin_name); ?></th>
                    <th><?php _e('Send Date', $this -> plugin_name); ?></th>
                </tr>
            </thead>
            <tfoot>
            	<tr>
                	<th class="check-column"><input type="checkbox" onclick="jqCheckAll(this, '<?php echo $this -> sections -> autoresponderemails; ?>', 'autoresponderemailslist');" name="checkboxall" value="checkboxall" id="checkboxall" /></th>
                    <th><?php _e('ID', $this -> plugin_name); ?></th>
                    <th><?php _e('Subscriber', $this -> plugin_name); ?></th>
                    <th><?php _e('Autoresponder', $this -> plugin_name); ?></th>
                    <th><?php _e('Status', $this -> plugin_name); ?></th>
                    <th><?php _e('Created', $this -> plugin_name); ?></th>
                    <th><?php _e('Send Date', $this -> plugin_name); ?></th>
                </tr>
            </tfoot>
        	<tbody>
            	<?php foreach ($autoresponderemails as $aemail) : ?>
					<tr class="<?php echo $class = (empty($class)) ? 'alternate' : ''; ?>">
                    	<th class="check-column"><input type="checkbox" name="autoresponderemailslist[]" value="<?php echo $aemail -> id; ?>" id="checklist<?php echo $aemail -> id; ?>" /></th>
                        <td><label for="checklist<?php echo $aemail -> id; ?>"><?php echo $aemail -> id; ?></label></td>
                        <td>
                        	<?php $days = $Html -> days_difference($aemail -> senddate, date("Y-m-d H:i:s", time())); ?>
                            <?php if ($days > 0) { $daysstring = __('This autoresponder email is due in ' . $days . ' days only.', $this -> plugin_name); } else { $daysstring = ""; }; ?>
                        	<strong><?php echo $Html -> link($aemail -> subscriber -> email, '?page=' . $this -> sections -> subscribers . '&amp;method=view&amp;id=' . $aemail -> subscriber_id, array('class' => "row-title")); ?></strong>
                            <div class="row-actions">
                            	<span class="edit"><?php echo $Html -> link(__('Send Now', $this -> plugin_name), '?page=' . $this -> sections -> autoresponderemails . '&amp;method=send&amp;id=' . $aemail -> id, array('onclick' => "if (!confirm('" . __('Are you sure you want to send this autoresponder email now?', $this -> plugin_name) . " " . $daysstring . "')) { return false; }")); ?> |</span>
                                <span class="delete"><?php echo $Html -> link(__('Delete', $this -> plugin_name), '?page=' . $this -> sections -> autoresponderemails . '&amp;method=delete&amp;id=' . $aemail -> id, array('onclick' => "if (!confirm('" . __('Are you sure you want to delete this autoresponder email?', $this -> plugin_name) . "')) { return false; }")); ?></span>
                            </div>
                        </td>
                        <td>
                        	<?php echo $Html -> link($aemail -> autoresponder -> title, '?page=' . $this -> sections -> autoresponders . '&amp;method=save&amp;id=' . $aemail -> autoresponder_id); ?>
                        </td>
                        <td>
                        	<?php if ($aemail -> status == "sent") : ?>
                            	<span style="color:green;"><?php _e('Sent', $this -> plugin_name); ?></span>
                            <?php else : ?>
                            	<span style="color:red;"><?php _e('Unsent', $this -> plugin_name); ?></span>
                            <?php endif; ?>
                        </td>
                        <td>
                        	<abbr title="<?php echo $aemail -> created; ?>"><?php echo date("Y-m-d", strtotime($aemail -> created)); ?></abbr>
                        </td>
                        <td>
                        	<abbr title="<?php echo $aemail -> senddate; ?>"><?php echo date("Y-m-d", strtotime($aemail -> senddate)); ?></abbr>
                            <?php $days = $Html -> days_difference($aemail -> senddate, date("Y-m-d H:i:s")); ?>
                            <?php if ($days > 0) : ?>(<?php echo $days; ?> <?php _e('days', $this -> plugin_name); ?>)<?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        
        <div class="tablenav">
        	<div class="alignleft">
				<?php if (empty($_GET['showall'])) : ?>
					<select class="widefat" style="width:auto;" name="perpage" onchange="change_perpage(this.value);">
						<option value="">- <?php _e('Per Page', $this -> plugin_name); ?> -</option>
						<?php $p = 5; ?>
						<?php while ($p < 200) : ?>
							<option <?php echo (!empty($_COOKIE[$this -> pre . 'autoresponderemailsperpage']) && $_COOKIE[$this -> pre . 'autoresponderemailsperpage'] == $p) ? 'selected="selected"' : ''; ?> value="<?php echo $p; ?>"><?php echo $p; ?> <?php _e('per page', $this -> plugin_name); ?></option>
							<?php $p += 5; ?>
						<?php endwhile; ?>
					</select>
				<?php endif; ?>
				
				<script type="text/javascript">
				function change_perpage(perpage) {				
					if (perpage != "") {
						document.cookie = "<?php echo $this -> pre; ?>autoresponderemailsperpage=" + perpage + "; expires=<?php echo $Html -> gen_date($this -> get_option('cookieformat'), strtotime("+30 days")); ?> UTC; path=/";
						window.location = "<?php echo preg_replace("/\&?" . $this -> pre . "page\=(.*)?/si", "", $_SERVER['REQUEST_URI']); ?>";
					}
				}
				
				function change_sorting(field, dir) {
					document.cookie = "<?php echo $this -> pre; ?>autoresponderemailssorting=" + field + "; expires=<?php echo date($this -> get_option('cookieformat'), strtotime("+30 days")); ?> UTC; path=/";
					document.cookie = "<?php echo $this -> pre; ?>autoresponderemails" + field + "dir=" + dir + "; expires=<?php echo date($this -> get_option('cookieformat'), strtotime("+30 days")); ?> UTC; path=/";
					window.location = "<?php echo preg_replace("/\&?" . $this -> pre . "page\=(.*)?/si", "", $_SERVER['REQUEST_URI']); ?>";
				}
				</script>
			</div>
        	<?php $this -> render('pagination', array('paginate' => $paginate), true, 'admin'); ?>
        </div>
    </form>
<?php else : ?>
	<br class="clear" />
	<p class="<?php echo $this -> pre; ?>error"><?php _e('No autoresponder emails found.', $this -> plugin_name); ?></p>
<?php endif; ?>