<div class="wrap <?php echo $this -> pre; ?>">
    <h2><?php _e('Manage Autoresponders', $this -> plugin_name); ?> <a class="add-new-h2 button" href="?page=<?php echo $this -> sections -> autoresponders; ?>&amp;method=save" title="<?php _e('Add a new autoresponder', $this -> plugin_name); ?>"><?php _e('Add New', $this -> plugin_name); ?></a></h2>
    
    <form method="post" action="?page=<?php echo $this -> sections -> autoresponders; ?>&amp;method=autoresponderscheduling">
    	<label for="autoresponderscheduling"><?php _e('Schedule Interval:', $this -> plugin_name); ?></label>
        <?php $scheduleinterval = $this -> get_option('autoresponderscheduling'); ?>
    	<select name="autoresponderscheduling" id="autoresponderscheduling">
        	<?php $schedules = wp_get_schedules(); ?>
			<?php if (!empty($schedules)) : ?>
                <?php foreach ($schedules as $key => $val) : ?>
                <?php $sel = ($scheduleinterval == $key) ? 'selected="selected"' : ''; ?>
                <option <?php echo $sel; ?> value="<?php echo $key ?>"><?php echo $val['display']; ?> (<?php echo $val['interval'] ?> <?php _e('seconds', $this -> plugin_name); ?>)</option>
                <?php endforeach; ?>
            <?php endif; ?>
        </select>
        <input class="button" type="submit" value="<?php _e('Save Interval', $this -> plugin_name); ?>" name="submit" />
    </form>
    
    <?php if (!empty($autoresponders)) : ?>
		<form id="posts-filter" action="<?php echo $this -> url; ?>" method="post">
			<ul class="subsubsub">
				<li><?php echo (empty($_GET['showall'])) ? $paginate -> allcount : count($autoresponders); ?> <?php _e('autoresponders', $this -> plugin_name); ?> |</li>
				<?php if (empty($_GET['showall'])) : ?>
					<li><?php echo $Html -> link(__('Show All', $this -> plugin_name), $this -> url . '&amp;showall=1'); ?> |</li>
				<?php else : ?>
					<li><?php echo $Html -> link(__('Show Paging', $this -> plugin_name), '?page=' . $this -> sections -> autoresponders); ?> |</li>
				<?php endif; ?>
				<?php if ((isset($_COOKIE[$this -> pre . 'autoresponderssorting']) && $_COOKIE[$this -> pre . 'autoresponderssorting'] == "modified") || (!isset($_COOKIE[$this -> pre . 'autoresponderstitledir']) || $_COOKIE[$this -> pre . 'autoresponderstitledir'] == "DESC")) : ?>
					<li><?php echo $Html -> link(__('A to Z', $this -> plugin_name), '#void', array('onclick' => "change_sorting('title', 'ASC');")); ?> |</li>
				<?php else : ?>
					<li><?php echo $Html -> link(__('Z to A', $this -> plugin_name), '#void', array('onclick' => "change_sorting('title', 'DESC');")); ?> |</li>
				<?php endif; ?>
				<?php if ((isset($_COOKIE[$this -> pre . 'autoresponderssorting']) && $_COOKIE[$this -> pre . 'autoresponderssorting'] == "title") || (!isset($_COOKIE[$this -> pre . 'autorespondersmodifieddir']) || $_COOKIE[$this -> pre . 'autorespondersmodifieddir'] == "ASC")) : ?>
					<li><?php echo $Html -> link(__('New to Old', $this -> plugin_name), '#void', array('onclick' => "change_sorting('modified', 'DESC');")); ?></li>
				<?php else : ?>
					<li><?php echo $Html -> link(__('Old to New', $this -> plugin_name), '#void', array('onclick' => "change_sorting('modified', 'ASC');")); ?></li>
				<?php endif; ?>
			</ul>
			<p class="search-box">
				<input id="post-search-input" class="search-input" type="text" name="searchterm" value="<?php echo (!empty($_POST['searchterm'])) ? $_POST['searchterm'] : $_GET[$this -> pre . 'searchterm']; ?>" />
				<input type="submit" class="button" value="<?php _e('Search Autoresponders', $this -> plugin_name); ?>" />
			</p>
		</form>
	<?php endif; ?>
    
    <?php $this -> render('autoresponders' . DS . 'loop', array('autoresponders' => $autoresponders, 'paginate' => $paginate), true, 'admin'); ?>
</div>