<?php

global $ID, $post_ID, $post, $user_ID;
$ID = $this -> get_option('imagespost');
$post_ID = $this -> get_option('imagespost');

?>

<div class="wrap <?php echo $this -> pre; ?>">
	<h2><?php _e('Save an Autoresponder', $this -> plugin_name); ?></h2>
    
    <form onsubmit="jQuery.Watermark.HideAll();" action="?page=<?php echo $this -> sections -> autoresponders; ?>&amp;method=save" method="post">
    	<?php echo $Form -> hidden('Autoresponder[id]'); ?>
    
    	<table class="form-table">
        	<tbody>
            	<tr>
                	<th><label for="Autoresponder.title"><?php _e('Name', $this -> plugin_name); ?></label></th>
                    <td>
                    	<?php echo $Form -> text('Autoresponder[title]'); ?>
                    	<span class="howto"><?php _e('Fill in a name/title for this autoresponder for identification purposes.', $this -> plugin_name); ?></span>
                    </td>
                </tr>
                <tr>
                	<th><label for="selectall"><?php _e('Mailing List(s)', $this -> plugin_name); ?></label></th>
                    <td>
                    	<?php if ($mailinglists = $Mailinglist -> select(true)) : ?>
                        	<div><label style="font-weight:bold;"><input type="checkbox" name="checkboxall" value="checkboxall" id="checkboxall" /> <?php _e('Check All', $this -> plugin_name); ?></label></div>
							<div><label style="font-weight:bold;"><input type="checkbox" name="checkinvert" value="checkinvert" id="checkinvert" /> <?php _e('Inverse Selection', $this -> plugin_name); ?></label></div>
                        
                        	<!-- loop of mailing lists -->
                        	<div class="scroll-list">
                            	<?php foreach ($mailinglists as $list_id => $list_title) : ?>
                                	<div><label><input <?php echo (!empty($Autoresponder -> data -> lists) && in_array($list_id, $Autoresponder -> data -> lists)) ? 'checked="checked"' : ''; ?> type="checkbox" name="Autoresponder[lists][]" value="<?php echo $list_id; ?>" id="checklist<?php echo $list_id; ?>" /> <?php echo $list_title; ?></label></div>
                                <?php endforeach; ?>
                            </div>
                        <?php else : ?>
                        	<span class="error"><?php _e('No mailinglists found, please add.', $this -> plugin_name); ?></span>
                        <?php endif; ?>
                        <?php echo $Html -> field_error('Autoresponder[lists]'); ?>
                    	<span class="howto"><?php _e('Subscriptions to these list(s) will be subscribed to this autoresponder.', $this -> plugin_name); ?></span>
                    </td>
                </tr>
                <tr>
                	<th><label for="Autoresponder_applyexisting_N"><?php _e('Apply to Existing Subscribers?', $this -> plugin_name); ?></label></th>
                    <td>
                    	<?php $applyexisting = $Html -> field_value('Autoresponder[applyexisting]'); ?>
                    	<label><input <?php echo ($applyexisting == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[applyexisting]" value="Y" id="Autoresponder_applyexisting_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
                        <label><input <?php echo (empty($applyexisting) || $applyexisting == "N") ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[applyexisting]" value="N" id="Autoresponder_applyexisting_N" /> <?php _e('No', $this -> plugin_name); ?></label>
                        
                        <?php if ($applyexisting == "Y") : ?><div class="<?php echo $this -> pre; ?>error"><?php _e('Autoresponder has already been applied to the existing subscribers before.', $this -> plugin_name); ?><br/>
                        <?php _e('This autoresponder will not be queued to the same subscribers as before again, only new ones.'); ?></div><?php endif; ?>
                    	<span class="howto">
							<?php _e('Should this autoresponder be applied to existing subscribers of the list(s) above?', $this -> plugin_name); ?><br/>
                            <?php _e('The send delay will be applied from the current date/time.', $this -> plugin_name); ?>
                        </span>
                    </td>
                </tr>
                <tr>
                	<th><label for="Autoresponder.newsletter.exi"><?php _e('Newsletter', $this -> plugin_name); ?></label></th>
                    <td>                    
                    	<label><input onclick="jQuery('#newsletterdiv_exi').show(); jQuery('#newsletterdiv_new').hide();" <?php echo (empty($Autoresponder -> data -> newsletter) || (!empty($Autoresponder -> data -> newsletter) && $Autoresponder -> data -> newsletter == "exi")) ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[newsletter]" value="exi" id="Autoresponder.newsletter.exi" /> <?php _e('Choose Newsletter', $this -> plugin_name); ?></label>
                        <label><input onclick="jQuery('#newsletterdiv_exi').hide(); jQuery('#newsletterdiv_new').show();" <?php echo (!empty($Autoresponder -> data -> newsletter) && $Autoresponder -> data -> newsletter == "new") ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[newsletter]" value="new" id="Autoresponder.newsletter.new" /> <?php _e('Create Newsletter', $this -> plugin_name); ?></label>
                        <?php echo $Html -> field_error('Autoresponder[newsletter]'); ?>
                        <span class="howto"><?php _e('You can choose an existing newsletter or create one now.', $this -> plugin_name); ?></span>
                    </td>
                </tr>
            </tbody>
        </table>
        
        <div id="newsletterdiv_exi" style="display:<?php echo (empty($Autoresponder -> data -> newsletter) || (!empty($Autoresponder -> data -> newsletter) && $Autoresponder -> data -> newsletter == "exi")) ? 'block' : 'none'; ?>;">
        	<table class="form-table">
            	<tbody>
                	<tr>
                    	<th><label for="Autoresponder.history_id"><?php _e('History/Draft Newsletter', $this -> plugin_name); ?></label></th>
                        <td>
                        	<?php if ($histories = $History -> select()) : ?>
                            	<select name="Autoresponder[history_id]" id="Autoresponder.history_id">
                                	<option value=""><?php _e('- Select -', $this -> plugin_name); ?></option>
                                    <?php foreach ($histories as $h_id => $h_subject) : ?>
                                    	<option <?php echo (!empty($Autoresponder -> data -> history_id) && $Autoresponder -> data -> history_id == $h_id) ? 'selected="selected"' : ''; ?> value="<?php echo $h_id; ?>"><?php echo $h_subject; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            <?php else : ?>
                            	<span class="error"><?php _e('No history/draft emails found, please add.', $this -> plugin_name); ?></span>
                            <?php endif; ?>
                            <?php echo $Html -> field_error('Autoresponder[history_id]'); ?>
                        	<span class="howto"><?php _e('Choose an existing history/draft newsletter to use as the message for this autoresponder.', $this -> plugin_name); ?></span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        
        <div id="newsletterdiv_new" style="display:<?php echo (!empty($Autoresponder -> data -> newsletter) && $Autoresponder -> data -> newsletter == "new") ? 'block' : 'none'; ?>;">
        	<table class="form-table">
            	<tbody>
                	<tr>
                    	<th><label for="Autoresponder_nnewsletter_subject"><?php _e('Newsletter Subject', $this -> plugin_name); ?></label></th>
                        <td>
                        	<input class="widefat" type="text" id="Autoresponder_nnewsletter_subject" name="Autoresponder[nnewsletter][subject]" value="<?php echo esc_attr(stripslashes($Autoresponder -> data -> nnewsletter['subject'])); ?>" id="" />
                            <?php echo $Html -> field_error('Autoresponder[nnewsletter_subject]'); ?>
                        	<span class="howto"><?php _e('Subject of the newsletter.', $this -> plugin_name); ?></span>
                        </td>
                    </tr>
                	<tr>
                    	<th><label for=""><?php _e('Newsletter Content', $this -> plugin_name); ?></label></th>
                        <td>
                        	<div id="poststuff">
                                <div id="<?php echo (user_can_richedit()) ? 'postdivrich' : 'postdiv'; ?>" class="postarea">
                                    <?php the_editor(stripslashes($Autoresponder -> data -> nnewsletter['content']), 'content', 'title', true, 2); ?>
                                    
                                    <table id="post-status-info" cellpadding="0" cellspacing="0">
                                        <tbody>
                                            <tr>
                                                <td id="wp-word-count">
                                                    <?php _e('Word Count', $this -> plugin_name); ?>:
                                                    <span id="word-count">0</span>
                                                </td>
                                                <td class="autosave-info">
                                                    <span id="autosave" style="display:none;"></span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    
                                    <?php echo $Html -> field_error('Autoresponder[nnewsletter_content]'); ?>
                                </div> 
                            </div> 
                            <?php /*add_action('admin_footer', 'wp_tiny_mce_preload_dialogs');*/ ?>  
                        	<span class="howto"><?php _e('Content of the newsletter.', $this -> plugin_name); ?></span>
                            
                            <?php $this -> render('setvariables', false, true, 'admin'); ?>
                        </td>
                    </tr>
                    <tr>
                    	<th><label for="Autoresponder_nnewsletter_theme_id_0"><?php _e('Newsletter Theme', $this -> plugin_name); ?></label></th>
                        <td>
                        	<?php if ($themes = $Theme -> select()) : ?>
                            	<div><label><input <?php echo (empty($Autoresponder -> data -> nnewsletter['theme_id'])) ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[nnewsletter][theme_id]" id="Autoresponder_nnewsletter_theme_id_0" value="0"> <?php _e('NONE', $this -> plugin_name); ?></label></div>
                            	<div class="scroll-list">
	                            	<?php foreach ($themes as $theme_id => $theme_title) : ?>
	                                	<div><label><input <?php echo (!empty($Autoresponder -> data -> nnewsletter['theme_id']) && $Autoresponder -> data -> nnewsletter['theme_id'] == $theme_id) ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[nnewsletter][theme_id]" value="<?php echo $theme_id; ?>" id="Autoresponder.nnewsletter.theme_id.<?php echo $theme_id; ?>" /> <?php echo $theme_title; ?></label></div>
	                                <?php endforeach; ?>
	                            </div>
                            <?php else : ?>
                            	<span class="error"><?php _e('No themes found, please add one.', $this -> plugin_name); ?></span>
                            <?php endif; ?>
                            <?php echo $Html -> field_error('Autorseponder[nnewsletter_theme]'); ?>
                            <span class="howto"><?php _e('Choose the theme to use for this new newsletter.', $this -> plugin_name); ?></span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        
        <table class="form-table">
        	<tbody>
            	<tr>
                	<th><label for="Autoresponder.delay"><?php _e('Send Delay', $this -> plugin_name); ?></label></th>
                    <td>
                    	<?php echo $Form -> text('Autoresponder[delay]', array('width' => "45px")); ?> <?php _e('days after subscribing.', $this -> plugin_name); ?>
                    	<span class="howto"><?php _e('Delay before sending this message. Set to 0 to send immediately upon subscribe/confirm.', $this -> plugin_name); ?></span>
                    </td>
                </tr>
                <tr>
                	<th><label for="Autoresponder.status.active"><?php _e('Status', $this -> plugin_name); ?></label></th>
                    <td>
                    	<label><input <?php echo (empty($Autoresponder -> data -> status) || (!empty($Autoresponder -> data -> status) && $Autoresponder -> data -> status == "active")) ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[status]" value="active" id="Autoresponder.status.active" /> <?php _e('Active', $this -> plugin_name); ?></label>
                        <label><input <?php echo (!empty($Autoresponder -> data -> status) && $Autoresponder -> data -> status == "inactive") ? 'checked="checked"' : ''; ?> type="radio" name="Autoresponder[status]" value="inactive" id="Autoresponder.status.inactive" /> <?php _e('Inactive', $this -> plugin_name); ?></label>
                    	<span class="howto"><?php _e('Deactivating this autoresponder will prevent it from sending out any messages to subscribers.', $this -> plugin_name); ?></span>
                    </td>
                </tr>
            </tbody>
        </table>
    
    	<p class="submit">
        	<?php echo $Form -> submit(__('Save Autoresponder', $this -> plugin_name)); ?>
        </p>
    </form>
</div>

<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('[name="Autoresponder[title]"]').Watermark('<?php _e('Enter autoresponder title here', $this -> plugin_name); ?>');
	jQuery('#Autoresponder_nnewsletter_subject').Watermark('<?php _e('Enter email subject here', $this -> plugin_name); ?>');
});
</script>