<?php if (!empty($emails)) : ?>
	<div class="tablenav">
    	<div class="alignleft actions">
        	<a href="?page=<?php echo $this -> sections -> history; ?>&amp;method=exportsent&amp;history_id=<?php echo $history -> id; ?>" title="<?php _e('Export sent emails to CSV', $this -> plugin_name); ?>" class="button"><img border="0" style="width:12px; height:12px;" src="<?php echo $this -> url(); ?>/images/icons/csv-16.png" alt="csv" /> <?php _e('Export to CSV', $this -> plugin_name); ?></a>
        </div>
    
    	<?php $this -> render_admin('pagination', array('paginate' => $paginate)); ?>
    </div>

	<table class="widefat">
    	<thead>
        	<tr>
            	<th><?php _e('Email/Subscriber', $this -> plugin_name); ?></th>
                <th><?php _e('Mailing List', $this -> plugin_name); ?></th>
                <th><?php _e('Read/Opened', $this -> plugin_name); ?></th>
                <th><?php _e('Sent Date', $this -> plugin_name); ?></th>
            </tr>
        </thead>
        <tfoot>
        	<tr>
            	<th><?php _e('Email/Subscriber', $this -> plugin_name); ?></th>
                <th><?php _e('Mailing List', $this -> plugin_name); ?></th>
                <th><?php _e('Read/Opened', $this -> plugin_name); ?></th>
                <th><?php _e('Sent Date', $this -> plugin_name); ?></th>
            </tr>
        </tfoot>
    	<tbody>
        	<?php $class = false; ?>
        	<?php foreach ($emails as $email) : ?>
            	<tr class="<?php echo $class = (empty($class)) ? 'alternate' : ''; ?>">
                	<td>
                    	<?php $Db -> model = $Subscriber -> model; ?>
                        <?php $subscriber = $Db -> find(array('id' => $email -> subscriber_id)); ?>
                        <strong><a class="row-title" href="?page=<?php echo $this -> sections -> subscribers; ?>&amp;method=view&amp;id=<?php echo $email -> subscriber_id; ?>"><?php echo $subscriber -> email; ?></a></strong>
                    </td>
                    <td>
                    	<?php $Db -> model = $Mailinglist -> model; ?>
                        <?php $mailinglist = $Db -> find(array('id' => $email -> mailinglist_id)); ?>
                        <a href="?page=<?php echo $this -> sections -> lists; ?>&amp;method=view&amp;id=<?php echo $email -> mailinglist_id; ?>"><?php echo $mailinglist -> title; ?></a>
                    </td>
                    <td>
                    	<?php echo (!empty($email -> read) && $email -> read == "Y") ? '<span style="color:green;">' . __('Yes', $this -> plugin_name) : '<span style="color:red;">' . __('No', $this -> plugin_name); ?></span>
                    </td>
                    <td>
                    	<abbr title="<?php echo $email -> modified; ?>"><?php echo date("Y-m-d", strtotime($email -> modified)); ?></abbr>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    
    <div class="tablenav">
    	<?php $this -> render_admin('pagination', array('paginate' => $paginate)); ?>
    </div>
<?php else : ?>
	<p class="<?php echo $this -> pre; ?>error"><?php _e('No emails were found', $this -> plugin_name); ?></p>
<?php endif; ?>