<div class="submitbox" id="submitpost">
	<div id="minor-publishing">
		<div id="minor-publishing-actions">
			<div id="save-action">
				<input id="save-post" type="submit" name="draft" value="<?php _e('Save Draft', $this -> plugin_name); ?>" class="button button-highlighted" />
			</div>
			<div id="preview-action">
				<input type="submit" name="preview" class="button" value="<?php _e('Send Preview', $this -> plugin_name); ?>" />
			</div>
			<br class="clear" />
		</div>
		<div id="misc-publishing-actions">
	        <?php if (!empty($_POST['ishistory']) && !empty($_GET['id'])) : ?>
                <div class="misc-pub-section misc-pub-section-last">
                    <a href="" onclick="jQuery.colorbox({href:ajaxurl + '?action=<?php echo $this -> pre; ?>history_iframe&id=<?php echo $_GET['id']; ?>'}); return false;"><?php _e('Quick Preview', $this -> plugin_name); ?></a>
                </div>
	        <?php endif; ?>
    		<div class="misc-pub-section curtime misc-pub-section-last">
            	<span id="timestamp"><?php _e('Send immediately', $this -> plugin_name); ?></span>
            	<a href="" onclick="jQuery('#timestampdiv').show('slow'); jQuery(this).hide(); return false;" class="edit-timestamp hide-if-no-js" style="display:inline;"><?php _e('Edit', $this -> plugin_name); ?></a>
				<div id="timestampdiv" class="hide-if-js" style="display:none;">
					<?php touch_time(0, 0, 0, 0); ?>
					
					<input type="hidden" name="sendtype" id="sendtype" value="send" />
					<input type="hidden" name="senddate" id="senddate" value="<?php echo date("Y-m-d H:i:s", time()); ?>" />
				</div>
				
				<script type="text/javascript">
				jQuery(document).ready(function() {				
					alwaysqueue = <?php if ($this -> get_option('sendingprogress') == "N") : ?>true<?php else : ?>false<?php endif; ?>;
				
					jQuery('.save-timestamp').click(function() { 
						var date = new Date();
						var year = date.getFullYear();
						var month = ("0" + (date.getMonth() + 1)).slice(-2);
						var day = ("0" + date.getDate()).slice(-2);
						var hours = ("0" + date.getHours()).slice(-2);
						var minutes = ("0" + date.getMinutes()).slice(-2);
						var today = year + '-' + month + '-' + day + ' ' + hours + ':' + minutes;
						
						var year = jQuery('#aa').val();
						var month = (jQuery('#mm').val() - 1);
						var day = jQuery('#jj').val();
						var hours = jQuery('#hh').val();
						var minutes = jQuery('#mn').val();						
						var senddate = new Date(year, month, day, hours, minutes, date.getSeconds());
						
						if (senddate.getTime() > date.getTime() || alwaysqueue == true) {
							jQuery('#timestamp').html('<?php _e('Schedule for:', $this -> plugin_name); ?> <strong>' + year + '-' + ('0' + (month + 1)).slice(-2) + '-' + day + ' ' + hours + ':' + minutes + '</strong>');
							jQuery('#sendbutton').attr("name", "queue").attr("value", "<?php echo addslashes(__('Queue Newsletter', $this -> plugin_name)); ?>");
							jQuery('#sendtype').attr("value", "queue");
						} else {
							jQuery('#timestamp').html('<?php _e('Send immediately', $this -> plugin_name); ?>');
							jQuery('#sendbutton').attr("name", "send").attr("value", "<?php echo addslashes(__('Send Newsletter', $this -> plugin_name)); ?>");
							jQuery('#sendtype').attr("value", "send");
						}
						
						jQuery('#senddate').attr("value", year + '-' + ('0' + (month + 1)).slice(-2) + '-' + day + ' ' + hours + ':' + minutes);
						jQuery('#timestampdiv').hide('slow');
						jQuery('.edit-timestamp').show();
					});
					
					jQuery('.cancel-timestamp').click(function() { 
						jQuery('#timestampdiv').hide('slow'); 
						jQuery('.edit-timestamp').show(); 
					});
				});
				</script>
            </div>
        </div>
		<div class="clear"></div>
	</div>
	<div id="major-publishing-actions">
		<?php if (!empty($_POST['ishistory'])) : ?>
			<div id="delete-action">
				<a href="?page=<?php echo $this -> sections -> history; ?>&amp;method=delete&amp;id=<?php echo $_POST['ishistory']; ?>" onclick="if (!confirm('<?php _e('Are you sure you wish to remove this newsletter from your history?', $this -> plugin_name); ?>')) { return false; }" title="<?php _e('Remove this newsletter from your history', $this -> plugin_name); ?>" class="submitdelete deletion"><?php _e('Delete Draft', $this -> plugin_name); ?></a>
			</div>
		<?php endif; ?>
		<div id="publishing-action">
			<?php $sendbutton = ($this -> get_option('sendingprogress') == "N") ? __('Queue Newsletter', $this -> plugin_name) : __('Send Newsletter', $this -> plugin_name); ?>
			<input class="button-primary" type="submit" name="send" id="sendbutton" disabled="disabled" value="<?php echo $sendbutton; ?>" />
		</div>
		<br class="clear" />
	</div>
</div>