<table class="form-table">
	<tbody>
    	<tr>
        	<th><label for="commentformcheckbox_Y"><?php _e('Comment Form Checkbox', $this -> plugin_name); ?></label></th>
            <td>
            	<label><input onclick="jQuery('#commentformcheckbox_div').show();" <?php echo ($this -> get_option('commentformcheckbox') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="commentformcheckbox" value="Y" id="commentformcheckbox_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
                <label><input onclick="jQuery('#commentformcheckbox_div').hide();" <?php echo ($this -> get_option('commentformcheckbox') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="commentformcheckbox" value="N" id="commentformcheckbox_N" /> <?php _e('No', $this -> plugin_name); ?></label>
            	<span class="howto"><?php _e('turn this on (Yes) to display a checkbox on the WordPress comment form for commentors to subscribe to a mailing list.', $this -> plugin_name); ?></span>
            </td>
        </tr>
    </tbody>
</table>

<div id="commentformcheckbox_div" style="display:<?php echo ($this -> get_option('commentformcheckbox') == "Y") ? 'block' : 'none'; ?>;">
	<table class="form-table">
    	<tbody>
        	<tr>
            	<th><label for="commentformlist"><?php _e('Subscribe List', $this -> plugin_name); ?></label></th>
                <td>
                	<?php if ($mailinglists = $Mailinglist -> select(true)) : ?>
                    	<select name="commentformlist" id="commentformlist">
                        	<?php foreach ($mailinglists as $id => $name) : ?>
                            	<option <?php echo ($this -> get_option('commentformlist') == $id) ? 'selected="selected"' : ''; ?> value="<?php echo $id; ?>"><?php echo $name; ?></option>
                            <?php endforeach; ?>
                        </select>
                    <?php endif; ?>
                    <span class="howto"><?php _e('choose the list to which commentors will be subscribed when the checkbox is checked.', $this -> plugin_name); ?></span>
                </td>
            </tr>
        	<tr>
            	<th><label for="commentformlabel"><?php _e('Comments Checkbox Label', $this -> plugin_name); ?></label></th>
                <td>
                	<input class="widefat" type="text" name="commentformlabel" value="<?php echo esc_attr(stripslashes($this -> get_option('commentformlabel'))); ?>" id="commentformlabel" />
                	<span class="howto"><?php _e('type a label/caption to display for the checkbox which your commentors will see.', $this -> plugin_name); ?></span>
                </td>
            </tr>
            <tr>
            	<th><label for="commentformautocheck_N"><?php _e('Auto Check Checkbox', $this -> plugin_name); ?></label></th>
                <td>
                	<label><input <?php echo ($this -> get_option('commentformautocheck') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="commentformautocheck" value="Y" id="commentformautocheck_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
                    <label><input <?php echo ($this -> get_option('commentformautocheck') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="commentformautocheck" value="N" id="commentformautocheck_N" /> <?php _e('No', $this -> plugin_name); ?></label>
                    <span class="howto"><?php _e('automatically check the checkbox on the comment form.', $this -> plugin_name); ?></span>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<table class="form-table">
	<tbody>
    	<tr>
			<th><?php _e('Registration Checkbox', $this -> plugin_name); ?></th>
			<td>
				<?php $registercheckbox = $this -> get_option('registercheckbox'); ?>
				<label><input onclick="jQuery('#registercheckboxdiv').show();" <?php echo $check = ($registercheckbox == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="registercheckbox" value="Y" />&nbsp;<?php _e('Yes'); ?></label>
				<label><input onclick="jQuery('#registercheckboxdiv').hide();" <?php echo $check = ($registercheckbox == "N") ? 'checked="checked"' : ''; ?> type="radio" name="registercheckbox" value="N" />&nbsp;<?php _e('No'); ?></label>
				
				<?php $users_can_register = get_option('users_can_register'); ?>
				<?php if (empty($users_can_register) || $users_can_register == 0) : ?>
					<div class="<?php echo $this -> pre; ?>error"><?php _e('WordPress registration is currently deactivated', $this -> plugin_name); ?></div>
				<?php endif; ?>
                
                <span class="howto"><?php _e('Turn this on to place a subscribe checkbox on the registration form.', $this -> plugin_name); ?></span>
			</td>
		</tr>
    </tbody>
</table>

<div id="registercheckboxdiv" style="display:<?php echo $display = ($registercheckbox == "Y") ? 'block' : 'none'; ?>;">
	<table class="form-table">
		<tbody>
        	<tr>
            	<th><label for="registerformlabel"><?php _e('Registration Checkbox Label', $this -> plugin_name); ?></label></th>
                <td>
                	<input class="widefat" type="text" name="registerformlabel" value="<?php echo esc_attr(stripslashes($this -> get_option('registerformlabel'))); ?>" id="registerformlabel" />
                    <span class="howto"><?php _e('Label/caption text next to the checkbox on the registration form.', $this -> plugin_name); ?></span>
                </td>
            </tr>
			<tr>
				<th><?php _e('Auto check to subscribe'); ?></th>
				<td>
					<?php $checkboxon = $this -> get_option('checkboxon'); ?>
					<label><input <?php echo $check = ($checkboxon == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="checkboxon" value="Y" />&nbsp;<?php _e('Yes'); ?></label>
					<label><input <?php echo $check = ($checkboxon == "N") ? 'checked="checked"' : ''; ?> type="radio" name="checkboxon" value="N" />&nbsp;<?php _e('No'); ?></label>
				</td>
			</tr>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>autosubscribelist"><?php _e('Default Registration List', $this -> plugin_name); ?></label></th>
				<td>
					<?php $Db -> model = $Mailinglist -> model; ?>
					<?php $mailinglists = $Db -> find_all(); ?>
					<select class="widefat" style="width:auto;" id="<?php echo $this -> pre; ?>autosubscribelist" name="autosubscribelist">
						<option value="">- <?php _e('Select List', $this -> plugin_name); ?> -</option>
						<?php if (!empty($mailinglists)) : ?>
							<?php foreach ($mailinglists as $mailinglist) : ?>
								<?php $sel = ($this -> get_option('autosubscribelist') == $mailinglist -> id) ? 'selected="selected"' : ''; ?>
								<option <?php echo $sel; ?> value="<?php echo $mailinglist -> id; ?>"><?php echo $mailinglist -> title; ?> (<?php echo $SubscribersList -> count(array('list_id' => $mailinglist -> id)); ?> <?php _e('subscribers', $this -> plugin_name); ?>)</option>
							<?php endforeach; ?>
						<?php endif; ?>
					</select>
				</td>
			</tr>
		</tbody>
	</table>
</div>