<table class="form-table">
	<tbody>
		<tr>
			<th><?php _e('Redirect On Success Subscribe', $this -> plugin_name); ?></th>
			<td>
				<label><input onclick="jQuery('#subscriberedirecturl_div').show();" <?php echo ($this -> get_option('subscriberedirect') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="subscriberedirect" value="Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
				<label><input onclick="jQuery('#subscriberedirecturl_div').hide();" <?php echo ($this -> get_option('subscriberedirect') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="subscriberedirect" value="N" /> <?php _e('No', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Should a subscriber be redirected after successfully subscribing?', $this -> plugin_name); ?></span>
			</td>
		</tr>
	</tbody>
</table>

<div id="subscriberedirecturl_div" style="display:<?php echo ($this -> get_option('subscriberedirect') == "Y") ? 'block' : 'none'; ?>;">
	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="subscriberedirecturl"><?php _e('Redirect URL', $this -> plugin_name); ?></label></th>
				<td>
					<input type="text" name="subscriberedirecturl" id="subscriberedirecturl" class="widefat" value="<?php echo $this -> get_option('subscriberedirecturl'); ?>" />
					<span class="howto"><?php _e('Absolute URL to redirect to after successfully subscribing.', $this -> plugin_name); ?></span>	
				</td>
			</tr>
		</tbody>
	</table>
</div>
		
<table class="form-table">
	<tbody>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>generalredirect"><?php _e('General Redirect URL', $this -> plugin_name); ?></label></th>
			<td>
				<input type="text" class="widefat" id="<?php echo $this -> pre; ?>generalredirect" name="generalredirect" value="<?php echo $this -> get_option('generalredirect'); ?>" />
				<span class="howto"><?php _e('Redirect upon unsubscription, activation, etc...', $this -> plugin_name); ?></span>
			</td>
		</tr>
        <tr>
        	<th><label for="subscriberexistsredirect_management"><?php _e('Subscriber Exists Redirect', $this -> plugin_name); ?></label></th>
            <td>
            	<label><input onclick="jQuery('#subscriberexistsredirectcustomdiv').hide();" <?php echo ($this -> get_option('subscriberexistsredirect') == "management") ? 'checked="checked"' : ''; ?> type="radio" name="subscriberexistsredirect" value="management" id="subscriberexistsredirect_management" /> <?php _e('Management Section', $this -> plugin_name); ?></label>
                <label><input onclick="jQuery('#subscriberexistsredirectcustomdiv').show();" <?php echo ($this -> get_option('subscriberexistsredirect') == "custom") ? 'checked="checked"' : ''; ?> type="radio" name="subscriberexistsredirect" value="custom" id="subscriberexistsredirect_custom" /> <?php _e('Custom URL', $this -> plugin_name); ?></label>
                <label><input onclick="jQuery('#subscriberexistsredirectcustomdiv').hide();" <?php echo ($this -> get_option('subscriberexistsredirect') == "nothing") ? 'checked="checked"' : ''; ?> type="radio" name="subscriberexistsredirect" value="nothing" id="subscriberexistsredirect_nothing" /> <?php _e('Do Nothing', $this -> plugin_name); ?></label>
            	<span class="howto"><?php _e('What to do when a user subscribes with an existing email address?', $this -> plugin_name); ?></span>
            </td>
        </tr>
    </tbody>
</table>

<div id="subscriberexistsredirectcustomdiv" style="display:<?php echo ($this -> get_option('subscriberexistsredirect') == "custom") ? 'block' : 'none'; ?>;">
	<table class="form-table">
    	<tbody>
        	<tr>
            	<th><label for="subscriberexistsredirecturl"><?php _e('Custom Redirect URL', $this -> plugin_name); ?></label></th>
                <td>
                	<input type="text" class="widefat" name="subscriberexistsredirecturl" value="<?php echo esc_attr(stripslashes($this -> get_option('subscriberexistsredirecturl'))); ?>" id="subscriberexistsredirecturl" />
                	<span class="howto"><?php _e('URL/Link to redirect an existing subscriber to.', $this -> plugin_name); ?></span>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<table class="form-table">
	<tbody>
    	<tr>
        	<th><label for="subscriberexistsmessage"><?php _e('Subscriber Exists Message', $this -> plugin_name); ?></label></th>
            <td>
            	<input type="text" class="widefat" name="subscriberexistsmessage" value="<?php echo esc_attr(stripslashes($this -> get_option('subscriberexistsmessage'))); ?>" id="subscriberexistsmessage" />
            </td>
        </tr>
	</tbody>
</table>

<table class="form-table">
	<tbody>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>onlinelinktext"><?php _e('Online Newsletter Link Text', $this -> plugin_name); ?></label></th>
			<td>
				<input class="widefat" type="text" id="<?php echo $this -> pre; ?>onlinelinktext" name="onlinelinktext" value="<?php echo $this -> get_option('onlinelinktext'); ?>" />
				<span class="howto"><?php _e('Displays email in browser. generated by <code>[' . $this -> pre . 'online]</code> in content', $this -> plugin_name); ?></span>
			</td>
		</tr>	
		<tr>
			<th><?php _e('Admin Notification on Subscription', $this -> plugin_name); ?></th>
			<td>
				<?php $adminemailonsubscription = $this -> get_option('adminemailonsubscription'); ?>
				<label><input <?php echo $check1 = ($adminemailonsubscription == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="adminemailonsubscription" value="Y" /> <?php _e('Yes'); ?></label>
				<label><input <?php echo $check2 = ($adminemailonsubscription == "N") ? 'checked="checked"' : ''; ?> type="radio" name="adminemailonsubscription" value="N" /> <?php _e('No'); ?></label>
			</td>
		</tr>
		<?php $requireactivate = $this -> get_option('requireactivate'); ?>
		<tr>
			<th><?php _e('Require email activation?', $this -> plugin_name); ?></th>
			<td>
				<label><input onclick="jQuery('#requireactivatediv').show();" <?php echo $check1 = ($requireactivate == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="requireactivate" value="Y" />&nbsp;<?php _e('Yes, confirm email address', $this -> plugin_name); ?></label>
				<label><input onclick="jQuery('#requireactivatediv').hide();" <?php echo $check2 = ($requireactivate == "N") ? 'checked="checked"' : ''; ?> type="radio" name="requireactivate" value="N" />&nbsp;<?php _e('No, immediately activate', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Is double opt-in action required by subscribers to activate subscriptions?', $this -> plugin_name); ?></span>
			</td>
		</tr>
	</tbody>
</table>
<div id="requireactivatediv" style="display:<?php echo $requireactivatedisplay = ($requireactivate == "Y") ? 'block' : 'none'; ?>;">
	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>activationlinktext"><?php _e('Activation Link Text', $this -> plugin_name); ?></label></th>
				<td>
					<input class="widefat" type="text" id="<?php echo $this -> pre; ?>activationlinktext" name="activationlinktext" value="<?php echo $this -> get_option('activationlinktext'); ?>" />
					<span class="howto"><?php _e('Displays an activation link generated by <code>[' . $this -> pre . 'activate]</code> in content', $this -> plugin_name); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="customactivateredirect_N"><?php _e('Custom Activate Redirect', $this -> plugin_name); ?></label></th>
				<td>
					<label><input onclick="jQuery('#customactivateredirect_div').show();" <?php echo ($this -> get_option('customactivateredirect') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="customactivateredirect" value="Y" id="customactivateredirect_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
					<label><input onclick="jQuery('#customactivateredirect_div').hide();" <?php echo ($this -> get_option('customactivateredirect') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="customactivateredirect" value="N" id="customactivateredirect_N" /> <?php _e('No', $this -> plugin_name); ?></label>
					<span class="howto"><?php _e('Defaults to the subscriber management section.', $this -> plugin_name); ?></span>
				</td>
			</tr>
		</tbody>
	</table>
	
	<div id="customactivateredirect_div" style="display:<?php echo ($this -> get_option('customactivateredirect') == "Y") ? 'block' : 'none'; ?>;">
		<table class="form-table">
			<tbody>
				<tr>
					<th><label for="activateredirecturl"><?php _e('Activate Redirect URL', $this -> plugin_name); ?></label></th>
					<td>
						<input type="text" class="widefat" name="activateredirecturl" value="<?php echo esc_attr(stripslashes($this -> get_option('activateredirecturl'))); ?>" id="activateredirecturl" />
						<span class="howto"><?php _e('Link/URL to which subscribers will be redirected upon activation.', $this -> plugin_name); ?></span>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</div>