<div class="wrap">
	<h2><?php _e('Save a Theme', $this -> plugin_name); ?></h2>
    
    <p>
    	<?php _e('This is a full HTML theme and should contain at least <code>[wpmlcontent]</code> somewhere.', $this -> plugin_name); ?><br/>
        <?php _e('You may use any of the', $this -> plugin_name); ?> <a class="button button-secondary" href="" onclick="jQuery.colorbox({title:'<?php _e('Shortcodes/Variables', $this -> plugin_name); ?>', maxHeight:'80%', maxWidth:'80%', href:'<?php echo admin_url('admin-ajax.php'); ?>?action=<?php echo $this -> pre; ?>setvariables'}); return false;"> <?php _e('shortcodes/variables', $this -> plugin_name); ?></a> <?php _e('inside themes.', $this -> plugin_name); ?><br/>
        <?php _e('Upload your images, stylesheets and other elements via FTP or the media uploader in WordPress.', $this -> plugin_name); ?><br/>
        <?php _e('Please ensure that all links, images and other references use full, absolute URLs.', $this -> plugin_name); ?>
    </p>
    
    <form onsubmit="jQuery.Watermark.HideAll();" action="?page=<?php echo $this -> sections -> themes; ?>&amp;method=save" method="post" enctype="multipart/form-data">
    	<?php echo $Form -> hidden('Theme[id]'); ?>
    	<?php echo $Form -> hidden('Theme[name]'); ?>
    
    	<table class="form-table">
        	<tbody>
            	<tr>
                	<th><label for="Theme.title"><?php _e('Title', $this -> plugin_name); ?></label></th>
                    <td>
                    	<?php echo $Form -> text('Theme[title]'); ?>
                    </td>
                </tr>
                <tr>
                	<th><label for="Theme.type_upload"><?php _e('Theme Type', $this -> plugin_name); ?></label></th>
                    <td>
                    	<label><input <?php echo ($Html -> field_value('Theme[type]') == "upload" || $Html -> field_value('Theme[type]') == "") ? 'checked="checked"' : ''; ?> onclick="jQuery('#typediv_upload').show(); jQuery('#typediv_paste').hide();" type="radio" name="Theme[type]" value="upload" id="Theme.type_upload" /> <?php _e('Upload an HTML File', $this -> plugin_name); ?></label>
                        <label><input <?php echo ($Html -> field_value('Theme[type]') == "paste") ? 'checked="checked"' : ''; ?> onclick="jQuery('#typediv_paste').show(); jQuery('#typediv_upload').hide();" type="radio" name="Theme[type]" value="paste" id="Theme.type_paste" /> <?php _e('Paste HTML Code', $this -> plugin_name); ?></label>
                    </td>
                </tr>
            </tbody>
        </table>
        
        <div id="typediv_upload" style="display:<?php echo ($Html -> field_value('Theme[type]') == "" || $Html -> field_value('Theme[type]') == "upload") ? 'block' : 'none'; ?>;">
        	<table class="form-table">
            	<tbody>
                	<tr>
                    	<th><label for=""><?php _e('Choose HTML File', $this -> plugin_name); ?></label></th>
                        <td>
                        	<input class="widefat" type="file" name="upload" value="" />
                            <?php if (!empty($Theme -> errors['upload'])) : ?>
                            	<div class="<?php echo $this -> pre; ?>error"><?php echo $Theme -> errors['upload']; ?></div>
                            <?php endif; ?>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        
        <div id="typediv_paste" style="display:<?php echo ($Html -> field_value('Theme[type]') == "paste") ? 'block' : 'none'; ?>;">
        	<table class="form-table">
            	<tbody>
                	<tr>
                    	<th><label for=""><?php _e('Paste HTML Code', $this -> plugin_name); ?></label></th>
                        <td>
                        	<?php echo $Form -> textarea('Theme[paste]', array('rows' => "10")); ?>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        
        <?php $theme_name = $Html -> field_value('Theme[name]'); ?>
        <?php if (!empty($theme_name)) : ?>
        	<?php if ($theme_name == "themailer") : ?>
        		<h3><?php _e('The Mailer Settings', $this -> plugin_name); ?></h3>
        		<table class="form-table">
        			<tbody>
        				<tr>
        					<th><label for="themailer_address"><?php _e('Address', $this -> plugin_name); ?></label></th>
        					<td>
        						<textarea name="themailer_address" rows="4" class="widefat" id="themailer_address"><?php echo esc_attr(stripslashes($this -> get_option('themailer_address'))); ?></textarea>
        						<span class="howto"></span>
        					</td>
        				</tr>
        				<tr>
        					<th><label for="themailer_facebook"><?php _e('Facebook URL', $this -> plugin_name); ?></label></th>
        					<td>
        						<input type="text" name="themailer_facebook" value="<?php echo esc_attr(stripslashes($this -> get_option('themailer_facebook'))); ?>" id="themailer_facebook" class="widefat" />
        						<span class="howto"></span>
        					</td>
        				</tr>
        				<tr>
        					<th><label for="themailer_twitter"><?php _e('Twitter URL', $this -> plugin_name); ?></label></th>
        					<td>
        						<input type="text" name="themailer_twitter" value="<?php echo esc_attr(stripslashes($this -> get_option('themailer_twitter'))); ?>" id="themailer_twitter" class="widefat" />
        						<span class="howto"></span>
        					</td>
        				</tr>
        				<tr>
        					<th><label for="themailer_rss"><?php _e('RSS URL', $this -> plugin_name); ?></label></th>
        					<td>
        						<input type="text" name="themailer_rss" value="<?php echo esc_attr(stripslashes($this -> get_option('themailer_rss'))); ?>" id="themailer_rss" class="widefat" />
        						<span class="howto"></span>
        					</td>
        				</tr>
        			</tbody>
        		</table>
        	<?php elseif ($theme_name == "pronews") : ?>
        		<h3><?php _e('Pro News Settings', $this -> plugin_name); ?></h3>
        		<table class="form-table">
        			<tbody>
        				<tr>
        					<th><label for="pronews_address"><?php _e('Address', $this -> plugin_name); ?></label></th>
        					<td>
        						<textarea name="pronews_address" rows="4" class="widefat" id="pronews_address"><?php echo esc_attr(stripslashes($this -> get_option('pronews_address'))); ?></textarea>
        						<span class="howto"></span>
        					</td>
        				</tr>
        				<tr>
        					<th><label for="pronews_facebook"><?php _e('Facebook URL', $this -> plugin_name); ?></label></th>
        					<td>
        						<input type="text" name="pronews_facebook" value="<?php echo esc_attr(stripslashes($this -> get_option('pronews_facebook'))); ?>" id="pronews_facebook" class="widefat" />
        						<span class="howto"></span>
        					</td>
        				</tr>
        				<tr>
        					<th><label for="pronews_twitter"><?php _e('Twitter URL', $this -> plugin_name); ?></label></th>
        					<td>
        						<input type="text" name="pronews_twitter" value="<?php echo esc_attr(stripslashes($this -> get_option('pronews_twitter'))); ?>" id="pronews_twitter" class="widefat" />
        						<span class="howto"></span>
        					</td>
        				</tr>
        				<tr>
        					<th><label for="pronews_rss"><?php _e('RSS URL', $this -> plugin_name); ?></label></th>
        					<td>
        						<input type="text" name="pronews_rss" value="<?php echo esc_attr(stripslashes($this -> get_option('pronews_rss'))); ?>" id="pronews_rss" class="widefat" />
        						<span class="howto"></span>
        					</td>
        				</tr>
        			</tbody>
        		</table>
        	<?php endif; ?>
        <?php endif; ?>
        
        <p class="submit">
        	<input class="button-primary" type="submit" name="save" value="<?php _e('Save Theme', $this -> plugin_name); ?>" />
        </p>
    </form>
</div>

<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('[name="Theme[title]"]').Watermark('<?php _e('Enter theme title here', $this -> plugin_name); ?>');
});
</script>