<?php

if (!function_exists('wpml_hardcode')) {
	function wpml_hardcode($list_id = "select", $lists = null) {
		if (class_exists('wpMail')) {
			$wpMail = new wpMail();
			$wpMail -> hardcoded($list_id, $lists);
		}
	}
}

if (!function_exists('wpml_get_mailinglists')) {
	function wpml_get_mailinglists($args = array()) {
		global $wpdb, $Mailinglist;
		
		$defaults = array('conditions' => null);
		$r = wp_parse_args($args, $defaults);
		extract($r, EXTR_SKIP);
		
		$lists = array();
		
		$query = "SELECT * FROM `" . $wpdb -> prefix . $Mailinglist -> table . "`";
		
		if (!empty($conditions)) {
			$query .= " WHERE";
			$c = 1; 
			
			foreach ($conditions as $ckey => $cval) {
				$query .= " " . $ckey . " = '" . $cval . "'";
				if ($c < count($conditions)) { $query .= " AND"; }
				$c++;
			}
		}
		
		$query .= " ORDER BY `title` ASC";
		
		if ($mailinglists = $wpdb -> get_results($query)) {
			$lists = $mailinglists;
		}
		
		return $lists;
	}
}

if (!function_exists('wpml_get_fields')) {
	function wpml_get_fields($args = array()) {
		global $wpdb, $Field;
		
		$defaults = array('conditions' => null, 'conditions_join' => "AND");
		$r = wp_parse_args($args, $defaults);
		extract($r, EXTR_SKIP);
	
		$query = "SELECT * FROM `" . $wpdb -> prefix . $Field -> table . "`";
		
		if (!empty($conditions)) {
			$query .= " WHERE";
			$c = 1;
		
			foreach ($conditions as $ckey => $cval) {
				$query .= " " . $ckey . " = '" . $cval . "'";
				if ($c < count($conditions)) { $query .= " " . $conditions_join; }
				
				$c++;
			}
		}
		
		$query .= " ORDER BY `order` ASC";
		
		if ($customfields = $wpdb -> get_results($query)) {
			$fields = $customfields;
		}
		
		return $fields;
	}
}

?>