<?php if (!empty($histories)) : ?>
	<form action="?page=<?php echo $this -> sections -> history; ?>&amp;method=mass" onsubmit="if (!confirm('<?php _e('Are you sure you wish to execute this action on the selected history emails?', $this -> plugin_name); ?>')) { return false; }" method="post">
		<div class="tablenav">
			<div class="alignleft actions">
				<a href="<?php echo rtrim(get_bloginfo('home'), '/'); ?>/?feed=newsletters" title="<?php _e('RSS feed for all newsletter history', $this -> plugin_name); ?>" class="button"><img src="<?php echo rtrim(site_url(), '/'); ?>/<?php echo WPINC; ?>/images/rss.png" alt="rss" style="width:12px; height:12px;" /> <?php _e('RSS Feed', $this -> plugin_name); ?></a>
                <a href="?page=<?php echo $this -> sections -> history; ?>&amp;method=export" title="<?php _e('Export to CSV', $this -> plugin_name); ?>" class="button"><img src="<?php echo $this -> url(); ?>/images/icons/csv-16.png" alt="csv" style="width:12px; height:12px;" border="0" /> <?php _e('Export to CSV', $this -> plugin_name); ?></a>
				<a href="<?php echo $this -> url; ?>&amp;method=clear" title="<?php _e('Clear all email history', $this -> plugin_name); ?>" onclick="if (!confirm('<?php _e('Are you sure you wish to clear the email history?', $this -> plugin_name); ?>')) { return false; }" class="button"><img src="<?php echo $this -> url(); ?>/images/icons/delete-16.png" alt="clear" style="width:12px; height:12px;" border="0" /> <?php _e('Clear History', $this -> plugin_name); ?></a>
				<select name="action" class="widefat" style="width:auto;">
					<option value="">- <?php _e('Bulk Actions', $this -> plugin_name); ?> -</option>
					<option value="delete"><?php _e('Delete', $this -> plugin_name); ?></option>
				</select>
				<input type="submit" name="execute" value="<?php _e('Apply', $this -> plugin_name); ?>" class="button-secondary" />
			</div>
			<?php $this -> render_admin('pagination', array('paginate' => $paginate)); ?>
		</div>
		<table class="widefat">
			<thead>
				<tr>
					<th class="check-column"><input type="checkbox" name="" value="" id="checkboxall" /></th>
					<th><?php _e('ID', $this -> plugin_name); ?></th>
					<th><?php _e('Subject', $this -> plugin_name); ?></th>
					<th><?php _e('Mailing List(s)', $this -> plugin_name); ?></th>
                    <th><?php _e('Theme', $this -> plugin_name); ?></th>
					<th><?php _e('Tracking', $this -> plugin_name); ?></th>
					<th><?php _e('Sent', $this -> plugin_name); ?></th>
                    <th><?php _e('Author', $this -> plugin_name); ?></th>
					<th><?php _e('Modified', $this -> plugin_name); ?></th>
					<th><?php _e('Attachments', $this -> plugin_name); ?></th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="check-column"><input type="checkbox" name="" value="" id="checkboxall" /></th>
					<th><?php _e('ID', $this -> plugin_name); ?></th>
					<th><?php _e('Subject', $this -> plugin_name); ?></th>
					<th><?php _e('Mailing List(s)', $this -> plugin_name); ?></th>
                    <th><?php _e('Theme', $this -> plugin_name); ?></th>
					<th><?php _e('Tracking', $this -> plugin_name); ?></th>
					<th><?php _e('Sent', $this -> plugin_name); ?></th>
                    <th><?php _e('Author', $this -> plugin_name); ?></th>
					<th><?php _e('Modified', $this -> plugin_name); ?></th>
					<th><?php _e('Attachments', $this -> plugin_name); ?></th>
				</tr>
			</tfoot>
			<tbody>
				<?php $class = ''; ?>
				<?php foreach ($histories as $email) : ?>
				<tr id="historyrow<?php echo $email -> id; ?>" class="<?php echo $class = (empty($class)) ? 'alternate' : ''; ?>">
					<th class="check-column"><input id="checklist<?php echo $email -> id; ?>" type="checkbox" name="historylist[]" value="<?php echo $email -> id; ?>" /></th>
					<td><label for="checklist<?php echo $email -> id; ?>"><?php echo $email -> id; ?></label></td>
					<td>
						<strong><a class="row-title" href="?page=<?php echo $this -> sections -> history; ?>&amp;method=view&amp;id=<?php echo $email -> id; ?>" title="<?php _e('View this email', $this -> plugin_name); ?>"><?php echo $email -> subject; ?></a></strong>
                        <?php /*<?php if (!empty($email -> attachment) && $email -> attachment == "Y") : ?><?php echo $Html -> attachment_link($email -> attachmentfile, true); ?><?php endif; ?>*/ ?>
						<div class="row-actions">
							<span class="edit"><?php echo $Html -> link(__('(Re)Send/Edit', $this -> plugin_name), '?page=' . $this -> sections -> send . '&amp;method=history&amp;id=' . $email -> id); ?> |</span>
							<span class="delete"><?php echo $Html -> link(__('Delete', $this -> plugin_name), '?page=' . $this -> sections -> history . '&amp;method=delete&amp;id=' . $email -> id, array('class' => "submitdelete", 'onclick' => "if (!confirm('" . __('Are you sure you want to delete this email?', $this -> plugin_name) . "')) { return false; }")); ?> |</span>
							<span class="view"><?php echo $Html -> link(__('View', $this -> plugin_name), '?page=' . $this -> sections -> history . '&amp;method=view&amp;id=' . $email -> id); ?></span>
						</div>
					</td>
					<td>
						<?php if (!empty($email -> mailinglists)) : ?>
							<?php $m = 1; ?>
							<?php $mailinglists = $email -> mailinglists; ?>
							<?php if (!empty($mailinglists) && (is_array($mailinglists) || is_object($mailinglists))) : ?>
								<?php foreach ($mailinglists as $mailinglist_id) : ?>
									<?php $mailinglist = $Mailinglist -> get($mailinglist_id, false); ?>
									<a href="?page=<?php echo $this -> sections -> lists; ?>&amp;method=view&amp;id=<?php echo $mailinglist_id; ?>" title="<?php echo $mailinglist -> title; ?>"><?php echo $mailinglist -> title; ?></a><?php echo ($m < count($mailinglists)) ? ', ' : ''; ?>
									<?php $m++; ?>
								<?php endforeach; ?>
							<?php endif; ?>
						<?php else : ?>
							<?php _e('none', $this -> plugin_name); ?>
						<?php endif; ?>
					</td>
                    <td>
                    	<?php $Db -> model = $Theme -> model; ?>
                        <?php if (!empty($email -> theme_id) && $theme = $Db -> find(array('id' => $email -> theme_id))) : ?>
                        	<a href="" onclick="jQuery.colorbox({href:'<?php echo rtrim(get_bloginfo('home'), '/'); ?>/?wpmlmethod=themepreview&amp;id=<?php echo $theme -> id; ?>'}); return false;" title="<?php _e('Theme Preview:', $this -> plugin_name); ?> <?php echo $theme -> title; ?>"><?php echo $theme -> title; ?></a>
                        <?php else : ?>
                        	<?php _e('None', $this -> plugin_name); ?>
                        <?php endif; ?>
                    </td>
					<td>
						<?php $Db -> model = $Email -> model; ?>
						<?php $etotal = $Db -> count(array('history_id' => $email -> id)); ?>
						<?php $eread = $Db -> count(array('history_id' => $email -> id, 'read' => "Y")); ?>
						<?php $tracking = (!empty($etotal)) ? ($eread/$etotal) * 100 : 0; ?>
						<a href="?page=<?php echo $this -> sections -> history; ?>&amp;method=view&amp;id=<?php echo $email -> id; ?>"><?php echo number_format($tracking, 2, '.', ''); ?>&#37; <?php _e('read', $this -> plugin_name); ?></a>
					</td>
					<td>
                    	<?php $count = 0; ?>
                        <?php $Db -> model = $Email -> model; ?>
                        <?php $count = $Db -> count(array('history_id' => $email -> id)); ?>
                    	<label for="checklist<?php echo $email -> id; ?>"><?php echo $email -> sent; ?> <?php _e('time(s)', $this -> plugin_name); ?> <?php _e('and', $this -> plugin_name); ?> <a href="?page=<?php echo $this -> sections -> history; ?>&amp;method=view&amp;id=<?php echo $email -> id; ?>#emailssent"><?php echo $count; ?> <?php _e('email(s)', $this -> plugin_name); ?></a></label>
                    </td>
                    <td>
                    	<?php if ($user = get_userdata($email -> user_id)) : ?>
                        	<?php echo $Html -> link($user -> display_name, site_url() . "/wp-admin/user-edit.php?user_id=" . $user -> ID . "&wp_http_referer=/wp-admin/?page=" . $this -> sections -> history); ?>
                        <?php else : ?>
                        	<?php _e('None', $this -> plugin_name); ?>
                        <?php endif; ?>
                    </td>
					<td><label for="checklist<?php echo $email -> id; ?>"><abbr title="<?php echo $email -> modified; ?>"><?php echo date("Y-m-d", strtotime($email -> modified)); ?></abbr></label></td>
					<?php /*<td><label for="checklist<?php echo $email -> id; ?>"><?php echo (!empty($email -> attachment) && $email -> attachment == "Y") ? $Html -> attachment_link($email -> attachmentfile, true) . ' <span style="color:green;">' . __('Yes', $this -> plugin_name) : '<span style="color:red;">' . __('No', $this -> plugin_name); ?></span></label></td>*/ ?>
                    <td>
                    	<?php if (!empty($email -> attachments)) : ?>
                        	<ul style="padding:0; margin:0;">
                            	<?php foreach ($email -> attachments as $attachment) : ?>
                                	<li class="<?php echo $this -> pre; ?>attachment"><?php echo $Html -> attachment_link($attachment['filename'], false); ?></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php else : ?>
                        	<?php _e('None', $this -> plugin_name); ?>
                        <?php endif; ?>
                    </td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
		<div class="tablenav">
			<div class="alignleft">
				<?php if (empty($_GET['showall'])) : ?>
					<select class="widefat" style="width:auto;" name="perpage" onchange="change_perpage(this.value);">
						<option value="">- <?php _e('Per Page', $this -> plugin_name); ?> -</option>
						<?php $p = 5; ?>
						<?php while ($p < 100) : ?>
							<option <?php echo (!empty($_COOKIE[$this -> pre . 'historiesperpage']) && $_COOKIE[$this -> pre . 'historiesperpage'] == $p) ? 'selected="selected"' : ''; ?> value="<?php echo $p; ?>"><?php echo $p; ?> <?php _e('per page', $this -> plugin_name); ?></option>
							<?php $p += 5; ?>
						<?php endwhile; ?>
					</select>
				<?php endif; ?>
				
				<script type="text/javascript">
				function change_perpage(perpage) {
					if (perpage != "") {
						document.cookie = "<?php echo $this -> pre; ?>historiesperpage=" + perpage + "; expires=<?php echo $Html -> gen_date($this -> get_option('cookieformat'), strtotime("+30 days")); ?> UTC; path=/";
						window.location = "<?php echo preg_replace("/\&?" . $this -> pre . "page\=(.*)?/si", "", $_SERVER['REQUEST_URI']); ?>";
					}
				}
				
				function change_sorting(field, dir) {
					document.cookie = "<?php echo $this -> pre; ?>historysorting=" + field + "; expires=<?php echo date($this -> get_option('cookieformat'), strtotime("+30 days")); ?> UTC; path=/";
					document.cookie = "<?php echo $this -> pre; ?>history" + field + "dir=" + dir + "; expires=<?php echo date($this -> get_option('cookieformat'), strtotime("+30 days")); ?> UTC; path=/";
					window.location = "<?php echo preg_replace("/\&?" . $this -> pre . "page\=(.*)?/si", "", $_SERVER['REQUEST_URI']); ?>";
				}
				</script>
			</div>
			<?php $this -> render_admin('pagination', array('paginate' => $paginate)); ?>
		</div>
	</form>
<?php else : ?>
	<p class="<?php echo $this -> pre; ?>error"><?php _e('No history emails were found', $this -> plugin_name); ?></p>
<?php endif; ?>