<?php $lists = $Mailinglist -> select(true); ?>

<div class="wrap <?php echo $this -> pre; ?>">
	<h2><?php _e('Import/Export Subscribers', $this -> plugin_name); ?></h2>
	<h3><?php _e('Import', $this -> plugin_name); ?></h3>
    
	<form action="?page=<?php echo $this -> sections -> importexport; ?>&amp;method=import" method="post" enctype="multipart/form-data">
		<input type="hidden" name="action" value="import" />
		<table class="form-table">
			<tbody>
				<tr>
					<th><label for="importfile"><?php _e('File', $this -> plugin_name); ?></label></th>
					<td>
						<input class="widefat" style="width:auto;" type="file" id="importfile" name="file" />
						<span class="howto"><?php _e('CSV/vCard file', $this -> plugin_name); ?></span>
                        <?php if (!empty($importerrors['file'])) : ?><div class="wpmlerror"><?php echo $importerrors['file']; ?></div><?php endif; ?>
					</td>
				</tr>
				<tr>
					<th><label for="importlistid"><?php _e('Mailing List(s)', $this -> plugin_name); ?></label></th>
					<td>
						<?php if (!empty($lists)) : ?>
							<label style="font-weight:bold;"><input type="checkbox" name="checkboxall" value="checkboxall" id="checkboxall" /> <?php _e('Check All', $this -> plugin_name); ?></label><br/>
							<label style="font-weight:bold;"><input type="checkbox" name="checkinvert" value="checkinvert" id="checkinvert" /> <?php _e('Inverse Selection', $this -> plugin_name); ?></label><br/>
							<div class="scroll-list">
								<?php foreach ($lists as $id => $title) : ?>
									<?php $Db -> model = $SubscribersList -> model; ?>
									<label><input <?php echo (!empty($_POST['importlists']) && in_array($id, $_POST['importlists'])) ? 'checked="checked"' : ''; ?> type="checkbox" name="importlists[]" value="<?php echo $id; ?>" id="checklist<?php echo $id; ?>" /> <?php echo $title; ?> (<?php echo $Db -> count(array('list_id' => $id)); ?> <?php _e('subscribers', $this -> plugin_name); ?>)</label><br/>
								<?php endforeach; ?>
							</div>
						<?php else : ?>
							<span class="<?php echo $this -> pre; ?>error"><?php _e('No mailing lists are available', $this -> plugin_name); ?></span>
						<?php endif; ?>
                        
                        <?php if (!empty($importerrors['mailinglists'])) : ?><div class="wpmlerror"><?php echo $importerrors['mailinglists']; ?></div><?php endif; ?>
					</td>
				</tr>
				<tr>
					<th><?php _e('File Type', $this -> plugin_name); ?></th>
					<td>
						<label><input onclick="jQuery('#csvdiv').show();" <?php echo (!empty($_POST['filetype']) && $_POST['filetype'] == "csv") ? 'checked="checked"' : ''; ?> type="radio" name="filetype" value="csv" /> <?php _e('CSV Spreadsheet', $this -> plugin_name); ?></label><br/>
						<label><input onclick="jQuery('#csvdiv').hide();" <?php echo (!empty($_POST['filetype']) && $_POST['filetype'] == "mac") ? 'checked="checked"' : ''; ?> type="radio" name="filetype" value="mac" /> <?php _e('Mac OS Address Book (vCard file)', $this -> plugin_name); ?></label>
                        <?php if (!empty($importerrors['filetype'])) : ?><div class="wpmlerror"><?php echo $importerrors['filetype']; ?></div><?php endif; ?>
					</td>
				</tr>
			</tbody>
		</table>
		
		<div id="csvdiv" style="display:<?php echo (!empty($_POST['filetype']) && $_POST['filetype'] == "csv") ? 'block' : 'none'; ?>;">		
			<table class="form-table">
				<tbody>
					<tr>
						<th><label for="delimiter"><?php _e('Delimiter', $this -> plugin_name); ?></label></th>
						<td>
							<input class="widefat" style="width:45px;" type="text" name="delimiter" value="<?php echo (empty($_POST['delimiter'])) ? ',' : esc_attr(stripslashes($_POST['delimiter'])); ?>" id="delimiter" />
							<span class="howto"><?php _e('Operator delimiting field values. Open your CSV in a text editor to confirm with which operator field values are delimited. The default is comma (,).', $this -> plugin_name); ?></span>
	                        <?php if (!empty($importerrors['delimiter'])) : ?><div class="wpmlerror"><?php echo $importerrors['delimiter']; ?></div><?php endif; ?>
						</td>
					</tr>
					<tr>
						<th><?php _e('Fields to Import', $this -> plugin_name); ?></th>
						<td>
							<p class="howto">
								<?php _e('Tick/check the fields which are available in your CSV file that you are uploading.', $this -> plugin_name); ?><br/>
								<?php _e('Fill in only column numbers (no letters), where "1" is the first column in your CSV file.', $this -> plugin_name); ?>
							</p>
						
							<div class="scroll-list" style="max-height:300px;">
								<table class="form-table">
									<tbody>
										<tr>
											<th><label><input <?php echo $fieldemailcheck = ($_POST['fields']['mailinglists'] == "Y") ? 'checked="checked"' : ''; ?> onclick="jQuery('#mailinglistscolumn').toggle();" type="checkbox" name="fields[mailinglists]" value="Y" /> <?php _e('Mailing List(s)', $this -> plugin_name); ?></label></th>
											<td>
												<span id="mailinglistscolumn" style="display:<?php echo $fieldemaildisplay = ($_POST['fields']['mailinglists'] == "Y") ? 'block' : 'none'; ?>;">
													<b><?php _e('Column Number:', $this -> plugin_name); ?></b> <input type="text" class="widefat" style="width:45px;" name="mailinglistscolumn" value="<?php echo $_POST['mailinglistscolumn']; ?>" />
													<br/><label><input <?php echo (!empty($_POST['autocreatemailinglists']) && $_POST['autocreatemailinglists'] == "Y") ? 'checked="checked"' : ''; ?> type="checkbox" name="autocreatemailinglists" value="Y" id="autocreatemailinglists" /> <?php _e('Auto create these lists by title if they do not exist', $this -> plugin_name); ?></label>
													<span class="howto"><?php _e('Comma (,) separated mailing list names/titles to add subscribers to in addition to the list(s) ticked/checked above.', $this -> plugin_name); ?></span>
												</span>
											</td>
										</tr>
										<tr>
											<th><label><input <?php echo $fieldemailcheck = ($_POST['fields']['email'] == "Y") ? 'checked="checked"' : ''; ?> onclick="jQuery('#emailcolumn').toggle();" type="checkbox" name="fields[email]" value="Y" /> <?php _e('Email Address', $this -> plugin_name); ?></label></th>
											<td>
												<span id="emailcolumn" style="display:<?php echo $fieldemaildisplay = ($_POST['fields']['email'] == "Y") ? 'block' : 'none'; ?>;">
													<b><?php _e('Column Number:', $this -> plugin_name); ?></b> <input type="text" class="widefat" style="width:45px;" name="emailcolumn" value="<?php echo $_POST['emailcolumn']; ?>" />
												</span>
											</td>
										</tr>
										<?php $fields = $Field -> get_all('*'); ?>
										<?php if (!empty($fields)) : ?>
											<?php foreach ($fields as $field) : ?>
												<tr>
													<th><label><input onclick="jQuery('#<?php echo $field -> slug; ?>div').toggle();" <?php echo (!empty($_POST['fields'][$field -> slug]) && $_POST['fields'][$field -> slug] == "Y") ? 'checked="checked"' : ''; ?> type="checkbox" name="fields[<?php echo $field -> slug; ?>]" value="Y" /> <?php echo $field -> title; ?></label></th>
													<td>
														<span id="<?php echo $field -> slug; ?>div" style="display:<?php echo $display = (!empty($_POST['fields'][$field -> slug]) && $_POST['fields'][$field -> slug] == "Y") ? 'block' : 'none'; ?>;">
															<b><?php _e('Column Number:', $this -> plugin_name); ?></b> <input type="text" class="widefat" style="width:45px;" name="<?php echo $field -> slug; ?>column" value="<?php echo $_POST[$field -> slug . 'column']; ?>" />
														</span>
													</td>
												</tr>
											<?php endforeach; ?>
										<?php endif; ?>
									</tbody>
								</table>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		
		<table class="form-table">
			<tbody>
				<tr>
					<th><label for=""><?php _e('Show Progress', $this -> plugin_name); ?></label></th>
					<td>
						<label><input <?php echo (!empty($_POST['import_progress']) && $_POST['import_progress'] == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="import_progress" value="Y" id="import_progress_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
						<label><input <?php echo (empty($_POST['import_progress']) || (!empty($_POST['import_progress']) && $_POST['import_progress'] == "N")) ? 'checked="checked"' : ''; ?> type="radio" name="import_progress" value="N" id="import_progress_N" /> <?php _e('No', $this -> plugin_name); ?></label>
						<span class="howto"><?php _e('Show Ajax progress as the import is done?', $this -> plugin_name); ?></span>
					</td>
				</tr>
			</tbody>
		</table>
		
		<p class="submit">
			<?php echo $Form -> submit(__('Import Subscribers', $this -> plugin_name)); ?>
		</p>
	</form>
				
	<h3 id="export"><?php _e('Export', $this -> plugin_name); ?></h3>	
	
	<?php $this -> render('error', array('errors' => $exporterrors), true, 'admin'); ?>
					
	<?php if (!empty($exportfile)) : ?>
		<div style="float:none;" class="subsubsub"><a href="<?php echo WP_CONTENT_URL; ?>/uploads/<?php echo $this -> plugin_name; ?>/export/<?php echo $exportfile; ?>" title="<?php _e('Download the subscribers CSV document to your computer', $this -> plugin_name); ?>"><?php _e('Download CSV', $this -> plugin_name); ?></a></div>
	<?php endif; ?>		
	<form action="?page=<?php echo $this -> sections -> importexport; ?>&amp;method=export#export" method="post" enctype="multipart/form-data" id="export-form">
		<input type="hidden" name="export_filetype" value="csv" />
	
		<table class="form-table">
			<tbody>
				<tr>
					<th><label for="exportlist"><?php _e('Mailing List(s)', $this -> plugin_name); ?></label></th>
					<td>
						<?php if (!empty($lists)) : ?>
							<div><label class="selectit" style="font-weight:bold;"><input type="checkbox" id="mailinglistsselectall" name="mailinglistsselectall" value="1" onclick="jqCheckAll(this, 'export-form', 'export_lists');" /> <?php _e('Select All Lists', $this -> plugin_name); ?></label></div>
							<div class="scroll-list">
								<?php foreach ($lists as $list_id => $list_title) : ?>
									<?php $Db -> model = $SubscribersList -> model; ?>
									<div><label><input <?php echo (!empty($_POST['export_lists']) && in_array($list_id, $_POST['export_lists'])) ? 'checked="checked"' : ''; ?> type="checkbox" name="export_lists[]" value="<?php echo $list_id; ?>" id="export_lists_<?php echo $list_id; ?>" /> <?php echo $list_title; ?> (<?php echo $Db -> count(array('list_id' => $list_id)); ?> <?php _e('subscribers', $this -> plugin_name); ?>)</label></div>
								<?php endforeach; ?>
							</div>
						<?php else : ?>
							<p class="<?php echo $this -> pre; ?>error"><?php _e('No mailing lists are available.', $this -> plugin_name); ?></p>
						<?php endif; ?>
						<span class="howto"><?php _e('Choose the mailing list(s) to export', $this -> plugin_name); ?></span>
					</td>
				</tr>
                <tr>
                    <th><label for="export_status_all"><?php _e('Export Status', $this -> plugin_name); ?></label></th>
                    <td>
                        <label><input <?php echo (empty($_POST['export_status']) || (!empty($_POST['export_status']) && $_POST['export_status'] == "all")) ? 'checked="checked"' : ''; ?> type="radio" name="export_status" value="all" id="export_status_all" /> <?php _e('All Subscriptions', $this -> plugin_name); ?></label><br/>
                        <label><input <?php echo (!empty($_POST['export_status']) && $_POST['export_status'] == "active") ? 'checked="checked"' : ''; ?> type="radio" name="export_status" value="active" id="export_status_active" /> <?php _e('Active Subscriptions Only', $this -> plugin_name); ?></label><br/>
                        <label><input <?php echo (!empty($_POST['export_status']) && $_POST['export_status'] == "inactive") ? 'checked="checked"' : ''; ?> type="radio" name="export_status" value="inactive" id="export_status_inactive" /> <?php _e('Inactive Subscriptions Only', $this -> plugin_name); ?></label>
                    </td>
                </tr>
                <tr>
                	<th><label for="export_purpose_newsletters"><?php _e('Export Purpose', $this -> plugin_name); ?></label></th>
                	<td>
                		<label><input <?php echo (empty($_POST['export_purpose']) || (!empty($_POST['export_purpose']) && $_POST['export_purpose'] == "newsletters")) ? 'checked="checked"' : ''; ?> type="radio" name="export_purpose" value="newsletters" id="export_purpose_newsletters" /> <?php _e('Newsletter plugin', $this -> plugin_name); ?></label>
                		<label><input <?php echo (!empty($_POST['export_purpose']) && $_POST['export_purpose'] == "other") ? 'checked="checked"' : ''; ?> type="radio" name="export_purpose" value="other" id="export_purpose_other" /> <?php _e('3rd Party Software', $this -> plugin_name); ?></label>
                		<span class="howto"><?php _e('Choose the purpose of this export.', $this -> plugin_name); ?></span>
                	</td>
                </tr>
                <tr>
                	<th><label for="export_progress_N"><?php _e('Show Progress', $this -> plugin_name); ?></label></th>
                	<td>
                		<label><input <?php echo (!empty($_POST['export_progress']) && $_POST['export_progress'] == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="export_progress" value="Y" id="export_progress_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
                		<label><input <?php echo (empty($_POST['export_progress']) || (!empty($_POST['export_progress']) && $_POST['export_progress'] == "N")) ? 'checked="checked"' : ''; ?> type="radio" name="export_progress" value="N" id="export_progress_N" /> <?php _e('No', $this -> plugin_name); ?></label>
                		<span class="howto"><?php _e('Show Ajax progress as the export is done?', $this -> plugin_name); ?></span>
                	</td>
                </tr>
			</tbody>
		</table>

		<p class="submit">
			<?php echo $Form -> submit(__('Export Subscribers', $this -> plugin_name)); ?>
		</p>
	</form>
	<div>
</div>