<table class="form-table">
	<tbody>
		<tr>
			<th><label for="rssfeedN"><?php _e('Newsletters RSS Feed', $this -> plugin_name); ?></label></th>
			<td>
				<label><input <?php echo ($this -> get_option('rssfeed') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="rssfeed" value="Y" id="rssfeedY" /> <?php _e('On', $this -> plugin_name); ?></label>
				<label><input <?php echo ($this -> get_option('rssfeed') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="rssfeed" value="N" id="rssfeedN" /> <?php _e('Off', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Turn On to show an RSS feed of newsletters at', $this -> plugin_name); ?> <?php echo $Html -> link(rtrim(get_bloginfo('home'), '/') . '/?feed=newsletters', rtrim(get_bloginfo('home'), '/') . '/?feed=newsletters', array('style' => "font-weight:bold;")); ?></span>
			</td>
		</tr>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>adminemail"><?php _e('Administrator Email', $this -> plugin_name); ?></label></th>
			<td>
				<input type="text" class="widefat" id="<?php echo $this -> pre; ?>adminemail" name="adminemail" value="<?php echo $this -> get_option('adminemail'); ?>" />
				<span class="howto"><?php _e('Email address of the mailing list administrator', $this -> plugin_name); ?></span>
			</td>
		</tr>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>smtpfrom"><?php _e('From Address', $this -> plugin_name); ?></label></th>
			<td>
            	<input class="widefat" type="text" id="<?php echo $this -> pre; ?>smtpfrom" name="smtpfrom" value="<?php echo $this -> get_option('smtpfrom'); ?>" />
                <span class="howto"><?php _e('This is the From email address that your subscribers will see.', $this -> plugin_name); ?></span>
            </td>
		</tr>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>smtpfromname"><?php _e('From Name', $this -> plugin_name); ?></label></th>
			<td>
            	<input class="widefat" type="text" id="<?php echo $this -> pre; ?>smtpfromname" name="smtpfromname" value="<?php echo $this -> get_option('smtpfromname'); ?>" />
                <span class="howto"><?php _e('This is the name that will be displayed in the From field to your subscribers.', $this -> plugin_name); ?></span>
            </td>
		</tr>
		<tr>
			<th><label for="trackingY"><?php _e('Email Tracking', $this -> plugin_name); ?></label></th>
			<td>
				<label><input <?php echo ($this -> get_option('tracking') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="tracking" value="Y" id="trackingY" /> <?php _e('On', $this -> plugin_name); ?></label>
				<label><input <?php echo ($this -> get_option('tracking') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="tracking" value="N" id="trackingN" /> <?php _e('Off', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Invisible tracking inside newsletters to tell you how many emails were (not) read', $this -> plugin_name); ?></span>
			</td>
		</tr>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>servertype"><?php _e('Server Type', $this -> plugin_name); ?></label></th>
			<td>
				<?php $servertypes = array('cpanel' => 'cPanel (or other)', 'plesk' => 'Plesk'); ?>
				<select class="widefat" style="width:auto;" id="<?php echo $this -> pre; ?>servertype" name="servertype">
					<?php foreach ($servertypes as $skey => $sval) : ?>
						<option <?php echo ($this -> get_option('servertype') == $skey) ? 'selected="selected"' : ''; ?> value="<?php echo $skey; ?>"><?php echo $sval; ?></option>
					<?php endforeach; ?>
				</select>
			</td>
		</tr>
		<tr>
			<th><label for="mailmimeoleheader_Y"><?php _e('Add X-MimeOLE Header', $this -> plugin_name); ?></label></th>
			<td>
				<label><input <?php echo ($this -> get_option('mailmimeoleheader') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="mailmimeoleheader" value="Y" id="mailmimeoleheader_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
				<label><input <?php echo ($this -> get_option('mailmimeoleheader') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="mailmimeoleheader" value="N" id="mailmimeoleheader_N" /> <?php _e('No', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Default header added by Microsoft software such as Outlook, turning this on could reduce spam flags.', $this -> plugin_name); ?></span>
			</td>
		</tr>
		<tr>
			<th><label for="gzip_N"><?php _e('Gzip Compression', $this -> plugin_name); ?></label></th>
			<td>
				<label><input <?php echo ($this -> get_option('gzip') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="gzip" value="Y" id="gzip_Y" /> <?php _e('On', $this -> plugin_name); ?></label>
				<label><input <?php echo ($this -> get_option('gzip') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="gzip" value="N" id="gzip_N" /> <?php _e('Off', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('You can turn On Gzip compression to compress data with the PHP ob_gzhandler.', $this -> plugin_name); ?></span>
			</td>
		</tr>
		<tr>
			<th><label for="<?php echo $this -> pre; ?>mailtype"><?php _e('Mail Type', $this -> plugin_name); ?></label></th>
			<td>
				<?php $mailtype = $this -> get_option('mailtype'); ?>
				<label><input <?php echo ($mailtype == "smtp") ? 'checked="checked"' : ''; ?> onclick="jQuery('#mailtypediv').show();" type="radio" name="mailtype" value="smtp" />&nbsp;<?php _e('SMTP Server', $this -> plugin_name); ?></label>
				<label><input <?php echo ($mailtype == "gmail") ? 'checked="checked"' : ''; ?> onclick="jQuery('#mailtypediv').show();" type="radio" name="mailtype" value="gmail" />&nbsp;<?php _e('Gmail SMTP', $this -> plugin_name); ?></label>
				<label><input id="<?php echo $this -> pre; ?>mailtype" <?php echo ($mailtype == "mail") ? 'checked="checked"' : ''; ?> onclick="jQuery('#mailtypediv').hide();" type="radio" name="mailtype" value="mail" />&nbsp;<?php _e('WP Mail (recommended)', $this -> plugin_name); ?></label>
                <span class="howto"><?php _e('The method to use when sending out emails. it is recommended that you use WP Mail.', $this -> plugin_name); ?></span>
			</td>
		</tr>
	</tbody>
</table>

<div id="mailtypediv" style="display:<?php echo $mailtypedisplay = ($mailtype == "smtp" || $mailtype == "gmail") ? 'block' : 'none'; ?>;">
	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>smtphost"><?php _e('SMTP Host Name', $this -> plugin_name); ?></label></th>
				<td>
                	<input class="widefat" type="text" id="<?php echo $this -> pre; ?>smtphost" name="smtphost" value="<?php echo $this -> get_option('smtphost'); ?>" />
                    <span class="howto"><?php _e('SMTP host name eg. "localhost". For Gmail, use "smtp.gmail.com" or try "ssl://smtp.gmail.com"', $this -> plugin_name); ?></span>
                </td>
			</tr>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>smtpport"><?php _e('SMTP Port', $this -> plugin_name); ?></label></th>
				<td>
                	<input class="widefat" style="width:65px;" type="text" name="smtpport" value="<?php echo $this -> get_option('smtpport'); ?>" id="<?php echo $this -> pre; ?>smtpport" />
                    <span class="howto"><?php _e('This is the SMTP port number to connect to. This is usually port 25.', $this -> plugin_name); ?></span>
                </td>
			</tr>
			<tr>
				<th><label for="smtpsecure_N"><?php _e('SMTP Protocol', $this -> plugin_name); ?></label></th>
				<td>
					<?php $smtpsecure = $this -> get_option('smtpsecure'); ?>
					<label><input <?php echo ($smtpsecure == "ssl") ? 'checked="checked"' : ''; ?> type="radio" name="smtpsecure" value="ssl" id="smtpsecure_ssl" /> <?php _e('SSL', $this -> plugin_name); ?></label>
					<label><input <?php echo ($smtpsecure == "tls") ? 'checked="checked"' : ''; ?> type="radio" name="smtpsecure" value="tls" id="smtpsecure_tls" /> <?php _e('TLS', $this -> plugin_name); ?></label>
					<label><input <?php echo (empty($smtpsecure) || $smtpsecure == "N") ? 'checked="checked"' : ''; ?> type="radio" name="smtpsecure" value="N" id="smtpsecure_N" /> <?php _e('None (recommended)', $this -> plugin_name); ?></label>
					<span class="howto"><?php _e('Set the connection protocol prefix.', $this -> plugin_name); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>smtpauth"><?php _e('SMTP Authentication', $this -> plugin_name); ?></label></th>
				<td>
					<?php $smtpauth = $this -> get_option('smtpauth'); ?>
					<label><input id="<?php echo $this -> pre; ?>smtpauth" onclick="jQuery('#smtpauthdiv').show();" <?php echo $authCheck1 = ($smtpauth == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="smtpauth" value="Y" />&nbsp;<?php _e('On', $this -> plugin_name); ?></label>
					<label><input onclick="jQuery('#smtpauthdiv').hide();" <?php echo $authCheck2 = ($smtpauth == "N") ? 'checked="checked"' : ''; ?> type="radio" name="smtpauth" value="N" />&nbsp;<?php _e('Off', $this -> plugin_name); ?></label>
					<span class="howto"><?php _e('Turn On if your SMTP server requires a username and password.', $this -> plugin_name); ?></span>
				</td>
			</tr>
		</tbody>
	</table>
	<?php $authdisplay = ($smtpauth == "Y") ? 'block' : 'none'; ?>
	<div id="smtpauthdiv" style="display:<?php echo $authdisplay; ?>;">
		<table class="form-table">
			<tbody>
				<tr>
					<th><label for="<?php echo $this -> pre; ?>smtpuser"><?php _e('SMTP Username', $this -> plugin_name); ?></label></th>
					<td><input class="widefat" type="text" id="<?php echo $this -> pre; ?>smtpuser" name="smtpuser" value="<?php echo $this -> get_option('smtpuser'); ?>" /></td>
				</tr>
				<tr>
					<th><label for="<?php echo $this -> pre; ?>smtppass"><?php _e('SMTP Password', $this -> plugin_name); ?></label></th>
					<td><input class="widefat" type="password" id="<?php echo $this -> pre; ?>smtppass" name="smtppass" value="<?php echo $this -> get_option('smtppass'); ?>" /></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>

<table class="form-table">
	<tbody>
		<th>&nbsp;</th>
		<td>
			<a id="testsettings" class="button-primary" onclick="testsettings(); return false;" href="?page=<?php echo $this -> sections -> settings; ?>" title="<?php _e('Test your email settings', $this -> plugin_name); ?>"><?php _e('Test Email Settings', $this -> plugin_name); ?></a>
			<span id="testsettingsloading" style="display:none;"><img src="<?php echo $this -> url(); ?>/images/loading.gif" alt="loading" border="0" style="border:none;" /></span>
		</td>
	</tbody>
</table>

<script type="text/javascript">
function testsettings() {
	jQuery('#testsettingsloading').show();
	jQuery('#testsettings').attr('disabled', "disabled");
	var formvalues = jQuery('#settings-form').serialize();
	
	jQuery.post(wpmlajaxurl + '?action=<?php echo $this -> pre; ?>testsettings&init=1', formvalues, function(response) {
		jQuery.colorbox({html:response});
		jQuery('#testsettingsloading').hide();
		jQuery('#testsettings').removeAttr('disabled');
	});
}
</script>