<table class="form-table">
	<tbody>
		<tr>
			<th><label for="sendingprogress_Y"><?php _e('Ajax Sending/Queuing Progress', $this -> plugin_name); ?></label></th>
			<td>
				<label><input <?php echo ($this -> get_option('sendingprogress') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="sendingprogress" id="sendingprogress_Y" value="Y" /> <?php _e('On', $this -> plugin_name); ?></label>
				<label><input <?php echo ($this -> get_option('sendingprogress') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="sendingprogress" id="sendingprogress_N" value="N" /> <?php _e('Off', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('For large lists, you might want to turn this off so you do not have to sit and wait.', $this -> plugin_name); ?></span>
			</td>
		</tr>
    	<tr>
        	<th><label for="imagespost"><?php _e('Newsletter Images Post ID', $this -> plugin_name); ?></label></th>
            <td>
            	<?php $imagespost = $this -> get_option('imagespost'); ?>
                <input type="text" class="widefat" style="width:50px;" name="imagespost" value="<?php echo esc_attr(stripslashes($imagespost)); ?>" id="imagespost" />
            	<span class="howto"><?php _e('A WordPress post (draft or published) is required for the Newsletter plugin to save images to when uploading through the editor.', $this -> plugin_name); ?></span>
            </td>
        </tr>
    	<tr>
        	<th><label for="multimime_Y"><?php _e('Send Multipart Emails', $this -> plugin_name); ?></label></th>
            <td>
            	<label><input <?php echo ($this -> get_option('multimime') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="multimime" value="Y" id="multimime_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
                <label><input <?php echo ($this -> get_option('multimime') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="multimime" value="N" id="multimime_N" /> <?php _e('No', $this -> plugin_name); ?></label>
            	<span class="howto"><?php _e('Send emails in both plain text and HTML mime types to let the client software decide which to use.', $this -> plugin_name); ?></span>
            </td>
        </tr>
        <tr>
            <th><label for="mailpriority"><?php _e('Email Priority', $this -> plugin_name); ?></label></th>
            <td>
                <?php $priorities = array(1 => __('High', $this -> plugin_name), 3 => __('Normal', $this -> plugin_name), 5 => __('Low', $this -> plugin_name)); ?>
                <select name="mailpriority" id="mailpriority">
                    <option value="3"><?php _e('- Select -', $this -> plugin_name); ?></option>
                    <?php foreach ($priorities as $pr_key => $pr_val) : ?>
                        <option <?php echo ($this -> get_option('mailpriority') == $pr_key) ? 'selected="selected"' : ''; ?> value="<?php echo $pr_key; ?>"><?php echo $pr_val; ?></option>
                    <?php endforeach; ?>
                </select>
                <span class="howto"><?php _e('Set the email priority which will be displayed to recipients. High, Normal, Low', $this -> plugin_name); ?></span>
            </td>
        </tr>
        <tr>
        	<th><label for="shortlinks_Y"><?php _e('Enable Shortlinks', $this -> plugin_name); ?></label></th>
            <td>
            	<label><input <?php echo ($this -> get_option('shortlinks') == "Y") ? 'checked="checked"' : ''; ?> onclick="jQuery('#shortlinksdiv').show();" type="radio" name="shortlinks" value="Y" id="shortlinks_Y" <?php echo $version; ?> /> <?php _e('Yes', $this -> plugin_name); ?></label>
                <label><input <?php echo ($this -> get_option('shortlinks') == "N") ? 'checked="checked"' : ''; ?> onclick="jQuery('#shortlinksdiv').hide();" type="radio" name="shortlinks" value="N" id="shortlinks_N" <?php echo $version; ?> /> <?php _e('No', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Turn On to replace all links with Bit.ly shortlinks for tracking purposes.', $this -> plugin_name); ?></span>
            </td>
        </tr>
    </tbody>
</table>

<?php $div_display = ($this -> get_option('shortlinks') == "Y") ? 'block' : 'none'; ?>
<div id="shortlinksdiv" style="display:<?php echo $div_display; ?>;">
	<p><?php _e('You need a <a href="http://bit.ly" target="_blank">Bit.ly</a> account in order to use this feature. Get your username/login and API key <a href="http://bit.ly/a/your_api_key" target="_blank">here</a>.', $this -> plugin_name); ?></p>

	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>shorlinkLogin"><?php _e('Login', $this -> plugin_name); ?></label></th>
				<td>
                	<input class="widefat" type="text" id="<?php echo $this -> pre; ?>shortlinkLogin" name="shortlinkLogin" value="<?php echo $this -> get_option('shortlinkLogin'); ?>" />
                    <span class="howto"><?php _e('your registered Bit.ly username/login', $this -> plugin_name); ?></span>
                </td>
			</tr>
			<tr>
				<th><label for="<?php echo $this -> pre; ?>shorlinkAPI"><?php _e('API Key', $this -> plugin_name); ?></label></th>
				<td>
                	<input class="widefat" type="text" id="<?php echo $this -> pre; ?>shortlinkAPI" name="shortlinkAPI" value="<?php echo $this -> get_option('shortlinkAPI'); ?>" />
                    <span class="howto"><?php _e('you can obtain your Bit.ly API key from your account settings', $this -> plugin_name); ?></span>
                </td>
			</tr>
		</tbody>
	</table>
</div>

<?php $embedimagesdisabled = (!$this -> is_plugin_active('embedimages')) ? true : false; ?>
<table class="form-table">
	<tbody>
		<tr>
			<th><label for="embedimages_N"><?php _e('Embedded Images', $this -> plugin_name); ?></label></th>
			<td>
				<label><input onclick="jQuery('#embedimagesdiv').show();" <?php if ($embedimagesdisabled == true) : ?>disabled="disabled"<?php endif; ?> <?php echo ($embedimagesdisabled == false && $this -> get_option('embedimages') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="embedimages" value="Y" id="embedimages_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
				<label><input onclick="jQuery('#embedimagesdiv').hide();" <?php if ($embedimagesdisabled == true) : ?>disabled="disabled"<?php endif; ?> <?php echo ($embedimagesdisabled == true || $this -> get_option('embedimages') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="embedimages" value="N" id="embedimages_N" /> <?php _e('No', $this -> plugin_name); ?></label>
				<?php if ($embedimagesdisabled == true) : ?>
					<span class="<?php echo $this -> pre; ?>error howto"><?php _e('You do not have the Embedded Images extension installed or it is not active.', $this -> plugin_name); ?></span>
				<?php endif; ?>
				<span class="howto"><?php _e('Embed/attach images into emails instead of loading them remotely from their absolute URL.', $this -> plugin_name); ?></span>
			</td>
		</tr>
	</tbody>
</table>

<div id="embedimagesdiv" style="display:<?php echo ($this -> get_option('embedimages') == "Y") ? 'block' : 'none'; ?>;">
	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="embedimagesdir"><?php _e('Images Location', $this -> plugin_name); ?></label></th>
				<td>
					<input type="text" name="embedimagesdir" value="<?php echo esc_attr(stripslashes($this -> get_option('embedimagesdir'))); ?>" id="embedimagesdir" class="widefat" />
					<span class="howto">
						<?php _e('Location (absolute path) of the images on your server.', $this -> plugin_name); ?><br/>
						<?php _e('If you are unsure, deactivate and reactivate the Embedded Images extension plugin for auto detection.', $this -> plugin_name); ?>
					</span>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<?php /*
<table class="form-table">
	<tbody>
        <tr>
            <th><label for="qtranslatesupport_N"><?php _e('Enable qTranslate Support', $this -> plugin_name); ?></label></th>
            <td>
            	<?php if ($this -> is_plugin_active('qtranslate')) : ?>
                	<label><input <?php echo ($this -> get_option('qtranslatesupport') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="qtranslatesupport" value="Y" id="qtranslatesupport_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
                    <label><input <?php echo (!$this -> get_option('qtranslatesupport') || $this -> get_option('qtranslatesupport') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="qtranslatesupport" value="N" id="qtranslatesupport_N" /> <?php _e('No', $this -> plugin_name); ?></label>
                    <span class="howto"><?php _e('Turn On for multilingual newsletters using qTranslate plugin.', $this -> plugin_name); ?></span>
                <?php else : ?>
                	<span class="error"><?php _e('You do not have <a href="" target="_blank">qTranslate plugin</a> installed or it is not active at the moment.', $this -> plugin_name); ?></span>
                <?php endif; ?>
            </td>
        </tr>
    </tbody>
</table>
*/ ?>