<?php

global $ID, $user_ID, $post, $post_ID, $wp_meta_boxes;

$ID = $this -> get_option('imagespost');
$post_ID = $this -> get_option('imagespost');

?>

<?php wp_nonce_field('closedpostboxes', 'closedpostboxesnonce', false ); ?>
<?php wp_nonce_field('meta-box-order', 'meta-box-order-nonce', false ); ?>
<?php global $errors; ?>

<div class="wrap <?php echo $this -> pre; ?>">
    <h2><?php _e('Save a Template', $this -> plugin_name); ?></h2>
    <form onsubmit="jQuery.Watermark.HideAll();" action="?page=<?php echo $this -> sections -> templates_save; ?>" method="post" onsubmit="">
        <?php wp_nonce_field($this -> sections -> templates_save); ?>
    
        <?php echo $Form -> hidden('Template[id]'); ?>
        <?php echo $Form -> hidden('Template[sent]'); ?>
        <div id="poststuff" class="metabox-holder has-right-sidebar">
            <div id="side-info-column" class="inner-sidebar">
                <?php do_action('submitpage_box'); ?>
                <?php $side_meta_boxes = do_meta_boxes("admin_page_" . $this -> sections -> templates_save, 'side', $post); ?>
            </div>
            <div id="post-body" class="has-sidebar">
                <div id="post-body-content" class="has-sidebar-content">
                    <div id="titlediv">
                        <div id="titlewrap">
                            <?php echo $Form -> text('Template[title]', array('id' => "title", 'width' => "100%", 'tabindex' => "1", 'autocomplete' => "off")); ?>
                        </div>
                    </div>
                    <div id="<?php echo (user_can_richedit()) ? 'postdivrich' : 'postdiv'; ?>" class="postarea">                        
                        <!-- The Editor -->
						<?php if (version_compare(get_bloginfo('version'), "3.3") >= 0) : ?>
							<?php wp_editor(stripslashes($_POST['content']), 'content', array('tabindex' => 2)); ?>
						<?php else : ?>
							<?php the_editor(stripslashes($_POST['content']), 'content', 'title', true, 2); ?>
						<?php endif; ?>
                        
                        <table id="post-status-info" cellpadding="0" cellspacing="0">
                            <tbody>
                                <tr>
                                    <td id="wp-word-count">
                                        <?php _e('Word Count', $this -> plugin_name); ?>:
                                        <span id="word-count">0</span>
                                    </td>
                                    <td class="autosave-info">
                                        <span id="autosave" style="display:none;"></span>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        
                        <?php echo $Html -> field_error('Template[content]'); ?>
                    </div>
                    
					<?php do_meta_boxes("admin_page" . $this -> sections -> templates_save, 'normal', $post); ?>
                    <?php do_meta_boxes("admin_page" . $this -> sections -> templates_save, 'advanced', $post); ?>
                </div>
            </div>
        </div>
    </form>
</div>

<script type="text/javascript">
//try{ jQuery('#title').focus(); } catch(e) {  };
jQuery(document).ready(function() {
	jQuery('#title').Watermark('<?php _e('Enter template title here', $this -> plugin_name); ?>');
});
</script>